<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: output.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| Modified to: MG Shoutbox DeLuxe v3.0.0
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once dirname(__FILE__)."/../../maincore.php";
if (!defined("IN_FUSION")) { die("Access Denied"); }
if (file_exists(INFUSIONS."shoutbox_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."shoutbox_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."shoutbox_panel/locale/German.php";
}

require_once INFUSIONS."shoutbox_panel/includes/shoutbox_config.php";
require_once INFUSIONS."shoutbox_panel/includes/func.php";
require_once INFUSIONS."shoutbox_panel/infusion_db.php";

// Folgendes soll das Cachen verhindern
header("Expires: Sat, 05 Nov 2005 00:00:00 GMT");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

if (isset($_SERVER['HTTP_REFERER'])){$url=$_SERVER['HTTP_REFERER'];}else{$url=$settings['opening_page'];}
$link = $url.(FUSION_QUERY ? "?".FUSION_QUERY : "");
$link = preg_replace("^(&amp;|\?)s_action=(edit|delete)&amp;shout_id=\d*^", "", $link);
$sep = stristr($link, "?") ? "&amp;" : "?";
if (iMEMBER && (isset($_GET['s_action']) && $_GET['s_action'] == "delete") && (isset($_GET['shout_id']) && isnum($_GET['shout_id']))) {
	if ((iADMIN && checkrights("S")) || (iMEMBER && dbcount("(shout_id)", DB_SHOUTBOX, "shout_id='".$_GET['shout_id']."' AND shout_name='".$userdata['user_id']."'"))) {
		$result = dbquery("DELETE FROM ".DB_SHOUTBOX." WHERE shout_id='".$_GET['shout_id']."'".(iADMIN ? "" : " AND shout_name='".$userdata['user_id']."'"));
	}
	redirect($link);
}

$numrows = dbcount("(shout_id)", DB_SHOUTBOX);
$result = dbquery(
	"SELECT ts.shout_id, ts.shout_name, ts.shout_message, ts.shout_datestamp, tu.user_id, tu.user_name, tu.user_level FROM ".DB_SHOUTBOX." ts
	LEFT JOIN ".DB_USERS." tu ON ts.shout_name=tu.user_id
	ORDER BY ts.shout_datestamp DESC LIMIT 0,".$settings['numofshouts']
);
if (dbrows($result)) {
	$i = 0;
echo "<br />";
	
	while ($data = dbarray($result)) {
	if (((time() - $data['shout_datestamp']) <= 120) && ($ajax == 1)) {
		$neu = " style='font-size:xxx-small;text-decoration:blink; color:green'";
	} else {
		$neu = " style='font-size:xx-small;'";
	}
	if ($data['user_name']) {
		if ($u_details == 1) {
			//////// Overlay
			echo @overlayInfo("shoutbox", $data['user_id'], $userdata['user_id']);
			/////////////
		}
	
	echo "<div class='shoutboxname'>";
	if ($mini_ava == 1) {
		if ($u_details == 1) {
			echo "<a onclick=\"return overlay(this, 'shoutbox_".$data['user_id']."', 'rightbottom')\" style='cursor:pointer;cursor:hand;'>".zeigeAvatar($data['user_id'], 'small')."</a>&nbsp;";
		} else {
			echo zeigeAvatar($data['user_id'], 'small')."&nbsp;";
		}
	}
	if ($u_details == 1) {
		echo "<span class='small'><a onclick=\"return overlay(this, 'shoutbox_".$data['user_id']."', 'rightbottom')\" style='cursor:pointer;cursor:hand;' class='shoutboxname'>".($u_colors == 1 ? usercolor($data['user_id']) : $data['user_name'])."</a></span>";
	} else {
		echo "<span class='small'><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' class='shoutboxname'>".($u_colors == 1 ? usercolor($data['user_id']) : $data['user_name'])."</a></span>";
	}
	if ($online == 1) {
	echo "&nbsp;".onlinestatus($data['user_id'],'small')."\n";
	}
	echo "</div>\n";
} else {
	echo "<div class='shoutboxname'>";
	if ($mini_ava == 1) {
		echo "<img src='".INFUSIONS."shoutbox_panel/images/guest.gif' width='16px' height='16px' border='0' alt='' />&nbsp;";
	}
	echo $data['shout_name']."\n";
	echo "</div>\n";
}
	
if ($zeit == 'absolut'){
	echo "<div".$neu." class='shoutboxdate' title='".$locale['dsp027'].vergangeneZeit($data['shout_datestamp'])."'>".showdate("%d.%m.%Y %H:%M:%S",$data['shout_datestamp'])."</div>";
} else {
	echo "<div".$neu." class='shoutboxdate' title='".showdate("%d.%m.%Y %H:%M:%S",$data['shout_datestamp'])."'>".$locale['dsp027'].vergangeneZeit($data['shout_datestamp'])."</div>";
}
		
	// *** Auswertung des Befehls /me und /news ***
	if (substr($data['shout_message'], 0, 3) == "/me" && $me_befehl == 1) {
		echo "<div class='shoutbox'><font color='blue'><i>*".($data['user_name'] ? $data['user_name'] : $data['shout_name'])." ".clean_umlaute(cleanup_message(sbwrap(replace_uri(parseubb(parsesmileys($data['shout_message']), "b|i|u|color")))))."</i></font></div>\n";	
	} elseif ((substr($data['shout_message'], 0, 5) == "/news" && $news_befehl == 1) && (($data['user_level'] == "103") || ($data['user_level'] == "102"))) {
		echo "<div class='shoutbox'><font color='#FF0000'><b>#Info#</b></font><br /><center><b>".clean_umlaute(cleanup_message(sbwrap(replace_uri(parseubb(parsesmileys($data['shout_message']), "b|i|u|color")))))."</b></center></div>\n";		 
	} else {
		echo "<div class='shoutbox'>".clean_umlaute(cleanup_message(sbwrap(replace_uri(parseubb(parsesmileys($data['shout_message']), "b|i|u|color")))))."</div>\n";
	}
	echo "<br />";
	////////////////////////////////////////////////
	if ((iADMIN && checkrights("S")) || (iMEMBER && $data['shout_name'] == $userdata['user_id'] && isset($data['user_name']))) {
		echo "[<a href='".$link.$sep."s_action=edit&amp;shout_id=".$data['shout_id']."#edit_shout"."' class='shoutboxedit'>".$locale['dsp025']."</a>]\n";
		echo "[<a href='".$link.$sep."s_action=delete&amp;shout_id=".$data['shout_id']."' class='shoutboxdel'>".$locale['dsp008']."</a>]<br /><br />\n";
	}
	$i++;
	if ($i != $numrows) { echo "\n"; }
	}
} else {
	echo "<div>".$locale['dsp026']."</div>\n";
}
?>
