<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: shoutbox_panel.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| Modified to: MG Shoutbox DeLuxe v3.0.0
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
if (file_exists(INFUSIONS."shoutbox_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."shoutbox_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."shoutbox_panel/locale/German.php";
}
	
require_once INFUSIONS."shoutbox_panel/includes/shoutbox_config.php";
require_once INFUSIONS."shoutbox_panel/includes/func.php";

if ($ajax == 1) {
require_once INFUSIONS."shoutbox_panel/infusion_db.php";

$sbjscript  = "<script type=\"text/javascript\">\n";
$sbjscript .= " function updateShoutBox() {
                asb_xmlHttp = GetXmlHttpObject()
                if (asb_xmlHttp == null) {
                    alert (\"Your browser does not support AJAX!\");
                    return;
                  }
                var url=\"".INFUSIONS."shoutbox_panel/output.php\";
                asb_xmlHttp.onreadystatechange = ShoutBoxStateChanged;
                asb_xmlHttp.open(\"GET\",url,true);
                asb_xmlHttp.send(null);
		/* Alle 30 Sekunden aktualisieren */
		setTimeout(\"updateShoutBox()\",".$refresh.")
	      }
	      
	      function ShoutBoxStateChanged() {
	        switch ( asb_xmlHttp.readyState )
                      {
                        case 3:
                                //Ladebalken anzeigen
                                document.getElementById(\"asb\").style.display = \"block\";
                                document.getElementById(\"asb\").innerHTML = '<br><br><center><img src=\"".INFUSIONS."shoutbox_panel/images/loading.gif \" /><br>Lade Daten...</center><br><br>';
                                break;
                        case 4:
                                if ( asb_xmlHttp.status != 200 )
                                  {
                                    alert(\"Der Request wurde abgeschlossen, ist aber nicht OK\\nFehler:\"+request.status);
                                  }
                                else
                                  {
                                    document.getElementById(\"asb\").innerHTML = asb_xmlHttp.responseText;
                                    document.getElementById(\"asb\").style.display = \"block\";
                                  }
                                break;
                        default: 
			        break;
                      }
	      }\n
	      ";
$sbjscript .= "function GetXmlHttpObject()
{
  var xmlHttp = null;
  try {
	/* Firefox, Opera 8.0+, Safari */
	xmlHttp = new XMLHttpRequest();
      } catch (e) {
      /* Internet Explorer */
      try {
	    xmlHttp = new ActiveXObject(\"Msxml2.XMLHTTP\");
          } catch (e) {
	    xmlHttp = new ActiveXObject(\"Microsoft.XMLHTTP\");
		}
      }
   return xmlHttp;
}\n";
$sbjscript .= "</script>\n";
$sbjscript .= "<script type=\"text/javascript\">updateShoutBox();</script>\n";
}
$link = FUSION_SELF.(FUSION_QUERY ? "?".FUSION_QUERY : "");
$link = preg_replace("^(&amp;|\?)s_action=(edit|delete)&amp;shout_id=\d*^", "", $link);
$sep = stristr($link, "?") ? "&amp;" : "?";
if (iMEMBER && (isset($_GET['s_action']) && $_GET['s_action'] == "delete") && (isset($_GET['shout_id']) && isnum($_GET['shout_id']))) {
	if ((iADMIN && checkrights("S")) || (iMEMBER && dbcount("(shout_id)", DB_SHOUTBOX, "shout_id='".$_GET['shout_id']."' AND shout_name='".$userdata['user_id']."'"))) {
		$result = dbquery("DELETE FROM ".DB_SHOUTBOX." WHERE shout_id='".$_GET['shout_id']."'".(iADMIN ? "" : " AND shout_name='".$userdata['user_id']."'"));
	}
	redirect($link);
}

openside($locale['dsp_title']);
if (iMEMBER || $settings['guestposts'] == "1") {
	include_once INCLUDES."bbcode_include.php";
	if (isset($_POST['post_shout'])) {
		$flood = false;
		if (iMEMBER) {
			$shout_name = $userdata['user_id'];
		} elseif ($settings['guestposts'] == "1") {
			$shout_name = trim(stripinput($_POST['shout_name']));
			// $shout_name = preg_replace("(^[0-9]*)", "", $shout_name);
			$shout_name = preg_replace("(^[0-9\s]*)", "", $shout_name);
			if (isnum($shout_name)) { $shout_name = ""; }
			include_once INCLUDES."securimage/securimage.php";
			$securimage = new Securimage();
			if (!isset($_POST['sb_captcha_code']) || $securimage->check($_POST['sb_captcha_code']) == false) { redirect($link); }
		}
		$shout_message = str_replace("\n", " ", $_POST['shout_message']);
		$shout_message = preg_replace("/^(.{400}).*$/", "$1", $shout_message);
		$shout_message = trim(stripinput(censorwords($shout_message)));
		if (iMEMBER && (isset($_GET['s_action']) && $_GET['s_action'] == "edit") && (isset($_GET['shout_id']) && isnum($_GET['shout_id']))) {
			$comment_updated = false;
			if ((iADMIN && checkrights("S")) || (iMEMBER && dbcount("(shout_id)", DB_SHOUTBOX, "shout_id='".$_GET['shout_id']."' AND shout_name='".$userdata['user_id']."'"))) {
				if ($shout_message) {
					$result = dbquery("UPDATE ".DB_SHOUTBOX." SET shout_message='$shout_message' WHERE shout_id='".$_GET['shout_id']."'".(iADMIN ? "" : " AND shout_name='".$userdata['user_id']."'"));
				}
			}
			redirect($link);
		} elseif ($shout_name && $shout_message) {
			require_once INCLUDES."flood_include.php";
			if (!flood_control("shout_datestamp", DB_SHOUTBOX, "shout_ip='".USER_IP."'")) {
					$result = dbquery("INSERT INTO ".DB_SHOUTBOX." (shout_name, shout_message, shout_datestamp, shout_ip) VALUES ('$shout_name', '$shout_message', '".time()."', '".USER_IP."')");
				if (defined("SCORESYSTEM")) {
					score_positive("SHBOX");
				}
			}
		}
		redirect($link);
	}
	if (iMEMBER && (isset($_GET['s_action']) && $_GET['s_action'] == "edit") && (isset($_GET['shout_id']) && isnum($_GET['shout_id']))) {
		$esresult = dbquery(
			"SELECT ts.shout_id, ts.shout_name, ts.shout_message, ts.shout_datestamp, tu.user_id, tu.user_name FROM ".DB_SHOUTBOX." ts
			LEFT JOIN ".DB_USERS." tu ON ts.shout_name=tu.user_id
			WHERE ts.shout_id='".$_GET['shout_id']."'"
		);
		if (dbrows($esresult)) {
			$esdata = dbarray($esresult);
			if ((iADMIN && checkrights("S")) || (iMEMBER && $esdata['shout_name'] == $userdata['user_id'] && isset($esdata['user_name']))) {
				if ((isset($_GET['s_action']) && $_GET['s_action'] == "edit") && (isset($_GET['shout_id']) && isnum($_GET['shout_id']))) {
					$edit_url = $sep."s_action=edit&amp;shout_id=".$esdata['shout_id'];
				} else {
					$edit_url = "";
				}
				$shout_link = $link.$edit_url;
				$shout_message = $esdata['shout_message'];
			}
		} else {
			$shout_link = $link;
			$shout_message = "";
		}
	} else {
		$shout_link = $link;
		$shout_message = "";
	}

echo "<a id='edit_shout' name='edit_shout'></a>\n";
echo "<form name='shout_form' method='post' action='".$shout_link."'>\n";
if (iGUEST) {
	echo $locale['global_151']."<br />\n";
	echo "<input type='text' name='shout_name' value='' class='textbox' maxlength='30' style='width:140px;' /><br />\n";
	echo $locale['global_152']."<br />\n";
}
echo "<div align='center' valign='middle'>".$locale['dsp007']."
	  <span id='count_display' style='padding : 1px 3px 1px 3px; border:1px solid;'><strong>400</strong></span><br /><br />
	  <textarea class='textbox' name='shout_message' rows='4' cols='20' style=\"width:165px; background: transparent url(".INFUSIONS."shoutbox_panel/images/sb_background.png) no-repeat scroll 0% 0%; width: 140px; -moz-background-clip: -moz-initial; -moz-background-origin: -moz-initial; -moz-background-inline-policy: -moz-initial;\" onKeyDown=\"textCounter(this,'count_display',400);\" onKeyUp=\"textCounter(this,'count_display',400);\">".$shout_message.(empty($shout_message)?"":"")."</textarea>\n";
echo display_bbcodes("165px;", "shout_message", "shout_form", "smiley|b|i|u|color")."\n</div>\n";
if (iGUEST) {
	echo $locale['global_158']."<br />\n";
	echo "<img id='sb_captcha' src='".INCLUDES."securimage/securimage_show.php' alt='' /><br />\n";
	echo "<a href='".INCLUDES."securimage/securimage_play.php'><img src='".INCLUDES."securimage/images/audio_icon.gif' alt='' class='tbl-border' style='margin-bottom:1px' /></a>\n";
	echo "<a href='#' onclick=\"document.getElementById('sb_captcha').src = '".INCLUDES."securimage/securimage_show.php?sid=' + Math.random(); return false\"><img src='".INCLUDES."securimage/images/refresh.gif' alt='' class='tbl-border' /></a><br />\n";
	echo $locale['global_159']."<br />\n<input type='text' name='sb_captcha_code' class='textbox' style='width:100px' /><br />\n";
}
echo "<div align='center'>
			<input type='submit' name='post_shout' value='".$locale['dsp_up_4']."' class='button' />&nbsp;
			<input alt='".$locale['dsp008']."' title='".$locale['dsp008']."' type='reset' name='reset' value='".$locale['dsp008']."' class='button' />";
if ($hilfe == 1) {
	echo "&nbsp;<a onclick=\"return overlay(this, 'hilfe_shoutbox', 'rightbottom')\" style='cursor:pointer;cursor:hand;vertical-align:middle;'><img src='".INFUSIONS."shoutbox_panel/images/helpS.png' width='16px' height='16px' border='0' alt='' /></a>";
	//////// Overlay
	echo zeigeHilfe("shoutbox", "shout_form");
	/////////////
}
			echo "</div>\n\n";
echo "</form>\n";

if ($ajax_by_user == 1) {
echo "<div style='text-align:center;font-size:xx-small;'>".$locale['dsp068']." <a href='".$link."' onclick=\"".($ajax == 1 ? "delkeks();" : "setkeks();")."\"><b>".($ajax == 1 ? $locale['dsp070'] : $locale['dsp069'])."</b></a></div>\n";
}
//echo "<br />\n";
} else {
	echo "<div style='text-align:center'>".$locale['global_154']."</div><br />\n";
}
$numrows = dbcount("(shout_id)", DB_SHOUTBOX);
$result = dbquery(
	"SELECT ts.shout_id, ts.shout_name, ts.shout_message, ts.shout_datestamp, tu.user_id, tu.user_name FROM ".DB_SHOUTBOX." ts
	LEFT JOIN ".DB_USERS." tu ON ts.shout_name=tu.user_id
	ORDER BY ts.shout_datestamp DESC LIMIT 0,".$settings['numofshouts']
);
if (dbrows($result)) {
	$i = 0;
if ($ajax == 1) {
	echo "<div align='center'><div id=\"asb\" style=\"width:100%; ".($auto_hoehe == 1 ? "height:auto;" : "max-height:".$hoehe."px;")." overflow:hidden; text-align:left; padding:1px;\"></div></div>";
} else {
	include INFUSIONS."shoutbox_panel/output.php";
}
	if ($numrows > $settings['numofshouts']) {
		echo "<div style='text-align:center'>\n<a href='".INFUSIONS."shoutbox_panel/shoutbox_archive.php' class='side'>".$locale['global_155']."</a>\n</div>\n";
	}
} else {
	echo "<div style='text-align:center'>".$locale['global_156']."</div>\n";
}
if (iADMIN) {
	echo "<div style='float:left;'><a href='".INFUSIONS."shoutbox_panel/shoutbox_admin.php' class='side' title='".$locale['dsp_admin']."'><span style='font-size:xx-small;color:red;'>".$locale['dsp_a01']."</span></a>&nbsp;-&nbsp;</div>";
}
echo "<div style='float:center;'><a href='".INFUSIONS."shoutbox_panel/shoutbox_archive.php' class='side' title='Shoutarchiv'><span style='font-size:xx-small;color: green;'>Archiv</span></a>&nbsp;-&nbsp;</div>";
echo "<div style='float:center;'><span style='font-size:xx-small;color: green;'>";
// Diese Zeile nicht lschen!!!
echo zeigeCopyright("right");
///////////////////////////////
echo "</span></div>";

closeside();

if ($ajax == 1) {
echo $sbjscript;
}
?>
