<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: copyright.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
// Set your string somehow
$string = $_GET['string'];
$cimg = imagecreatefrompng('c.png');
// Set font size
$font_size = 3;

// Create image width dependant on width of the string
$width  = (imagefontwidth($font_size)*strlen($string) + 8)+39;
// Set height to that of the font
$height = imagefontheight($font_size) + 8;
// Create the image pallette
$img = imagecreate($width,$height);
// Grey background
$bg    = imagecolorallocate($img, 137, 142, 121);
// White font color
$color = imagecolorallocate($img, 255, 255, 255);
// Length of the string
$len = strlen($string);
// Y-coordinate of character, X changes, Y is static
$ypos = 3;
// Loop through the string
for($i=0;$i<$len;$i++){
    // Position of the character horizontally
    $xpos = ($i * imagefontwidth($font_size))+39;
    // Draw character
    imagechar($img, $font_size, $xpos, $ypos, $string, $color);
    // Remove character from string
    $string = substr($string, 1);   
   
}

imagecopymergegray($img, $cimg, 0, 0, 0, 0, 39, $height, 100);
$border_color_white = imagecolorallocate($img, 255, 255, 255);
$border_color_black = imagecolorallocate($img, 0, 0, 0);
imagesetthickness ($img, 2);
imageline ($img, 2, 2, $width-2, 2, $border_color_white); // oben weiss
imageline ($img, 0, 1, $width, 1, $border_color_black); // oben schwarz
imageline ($img, 2, 2, 2, $height-2, $border_color_white); // links weiss
imageline ($img, 1, 0, 1, $height, $border_color_black); // links schwarz
imageline ($img, 2, $height-2, $width-2, $height-2, $border_color_white); // unten weiss
imageline ($img, 0, $height-1, $width, $height-1, $border_color_black); // unten schwarz
imageline ($img, $width-2, 2, $width-2, $height-3, $border_color_white); // rechts weiss
imageline ($img, $width-1, 0, $width-1, $height-1, $border_color_black); // rechts weiss
imageline ($img, 39, 2, 39, $height-3, $border_color_white); // Trennlinie
// Return the image
header("Content-Type: image/png");
imagepng($img);
// Remove image
imagedestroy($img);
imagedestroy($cimg);

?>