<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: func.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| Modified to: MG Shoutbox DeLuxe v3.0.0
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
include INFUSIONS."shoutbox_panel/infusion_db.php";

function sbwrap($text) {
	
	$i = 0; $tags = 0; $chars = 0; $res = "";
	
	$str_len = strlen($text);
	
	for ($i = 0; $i < $str_len; $i++) {
		$chr = substr($text, $i, 1);
		if ($chr == "<") {
			if (substr($text, ($i + 1), 6) == "a href" || substr($text, ($i + 1), 3) == "img") {
				$chr = " ".$chr;
				$chars = 0;
			}
			$tags++;
		} elseif ($chr == "&") {
			if (substr($text, ($i + 1), 5) == "quot;") {
				$chars = $chars - 5;
			} elseif (substr($text, ($i + 1), 4) == "amp;" || substr($text, ($i + 1), 4) == "#39;" || substr($text, ($i + 1), 4) == "#92;") {
				$chars = $chars - 4;
			} elseif (substr($text, ($i + 1), 3) == "lt;" || substr($text, ($i + 1), 3) == "gt;") {
				$chars = $chars - 3;
			}
		} elseif ($chr == ">") {
			$tags--;
		} elseif ($chr == " ") {
			$chars = 0;
		} elseif (!$tags) {
			$chars++;
		}
		
		if (!$tags && $chars == 18) {
			$chr .= "<br />";
			$chars = 0;
		}
		$res .= $chr;
	}
	
	return $res;
}

function sbawrap($text) {
	
	$i = 0; $tags = 0; $chars = 0; $res = "";
	
	$str_len = strlen($text);
	
	for ($i = 0; $i < $str_len; $i++) {
		$chr = substr($text, $i, 1);
		if ($chr == "<") {
			if (substr($text, ($i + 1), 6) == "a href" || substr($text, ($i + 1), 3) == "img") {
				$chr = " ".$chr;
				$chars = 0;
			}
			$tags++;
		} elseif ($chr == "&") {
			if (substr($text, ($i + 1), 5) == "quot;") {
				$chars = $chars - 5;
			} elseif (substr($text, ($i + 1), 4) == "amp;" || substr($text, ($i + 1), 4) == "#39;" || substr($text, ($i + 1), 4) == "#92;") {
				$chars = $chars - 4;
			} elseif (substr($text, ($i + 1), 3) == "lt;" || substr($text, ($i + 1), 3) == "gt;") {
				$chars = $chars - 3;
			}
		} elseif ($chr == ">") {
			$tags--;
		} elseif ($chr == " ") {
			$chars = 0;
		} elseif (!$tags) {
			$chars++;
		}
		
		if (!$tags && $chars == 40) {
			$chr .= " ";
			$chars = 0;
		}
		$res .= $chr;
	}
	
	return $res;
}
/**
* replace URIs with appropriate HTML code to be clickable.
*/
function replace_uri($text) {
	$icon = "<img border=\"0\" title=\"Link\" src=\"".INFUSIONS."shoutbox_panel/images/link.png\" />";
	$text = preg_replace('#(^|[\n ])((http|https|ftp|ftps)://[\w\#$%&~/.\-;:=,?@\[\]\(\)+]*)#sie', "'\\1<span style=\'white-space:nowrap;\'>".$icon." <a href=\"'.trim('\\2').'\" target=\"_blank\" ><b>Link</b></a></span>'", $text);
	$text = preg_replace("#(^|[\n ])((www|ftp)\.[\w\#$%&~/.\-;:=,?@\[\]\(\)+]*)#sie", "'\\1<span style=\'white-space:nowrap;\'>".$icon." <a href=\"http://'.trim('\\2').'\" target=\"_blank\" ><b>Link</b></a></span>'", $text);
	$text = preg_replace("#([a-z0-9&\-_.]+?)@([\w\-]+\.([\w\-\.]+\.)*[\w]+)#sie", "hide_email('\\1@\\2')", $text);
	return $text;
}

function cleanup_message($text)
{
	 $suche = array("/me ", "/news ");
	 $ersetze = "";
	 $text = str_replace($suche, $ersetze, $text);
	 return($text);
}

function clean_umlaute($text) {
	include INFUSIONS."shoutbox_panel/includes/shoutbox_config.php";
	include INFUSIONS."shoutbox_panel/infusion_db.php";

	if ($ajax == 1) {
		$text = utf8_encode($text);
	} else {
		$text = $text;
	}
	return $text;
}

function vergangeneZeit($zeit){
	global $locale;
		$vergangeneZeit = (time () - $zeit);
		$monat = floor($vergangeneZeit / (3600*24*30.43));
		$tag  = floor($vergangeneZeit / (3600*24));
		$std  = floor($vergangeneZeit / 3600 % 24);
		$min  = floor($vergangeneZeit / 60 % 60);
		$sek  = floor($vergangeneZeit % 60);
		
		$montext = ($monat == 1 ? $locale['dsp029'] : $locale['dsp030']);
		$tagtext = ($tag == 1 ? $locale['dsp031'] : $locale['dsp032']);
		$stdtext = ($std == 1 ? $locale['dsp033'] : $locale['dsp034']);
		$mintext = ($min == 1 ? $locale['dsp035'] : $locale['dsp036']);
		$sektext = ($sek == 1 ? $locale['dsp037'] : $locale['dsp038']);
		if ($vergangeneZeit < 60) {
			$seit = $sek." ".$sektext;
		} elseif ($vergangeneZeit >= 60 && $vergangeneZeit < 3600) {
			$seit = $min.$mintext.$sek.$sektext;
		} elseif ($vergangeneZeit >= 3600 && $vergangeneZeit < 86400) {
			$seit = $std.$stdtext.$min.$mintext;
		} elseif ($vergangeneZeit < 2592000 ) {
			$seit = ($std == 0 ? $tag.$tagtext : $tag.$tagtext.$std.$stdtext);
		} else {
			$seit = $locale['dsp028'].$monat.$montext;
		}
		return $seit;
}
######
function usercolor($id) {
   global $farben, $group; 
    //--> Mod Start
      $GROUP_ID = $group;
	
    //--> Mod Ende
   $user = dbquery ( "SELECT user_name, user_level, user_groups FROM " . DB_USERS . " WHERE user_id='".$id."'" );
   if (dbrows ( $user )) {
      $udata = dbarray ( $user );
   //--> Mod Start      
   if (in_array($GROUP_ID, explode(".", $udata['user_groups']))) { 
     $usercolor = "<span style='color:#".$farben[$GROUP_ID].";'>".$udata['user_name']."</span>";
      }   else   {
     $usercolor = "<span style='color:#".$farben[$udata['user_level']].";'>".$udata['user_name']."</span>";
      }
   //--> Mod End
   } else {
      $usercolor = $udata['user_name'];   
   }
   return $usercolor;
}
######
$group_name = dbarray(dbquery("SELECT * FROM ".DB_USER_GROUPS." WHERE group_id=".$user_groups_c.""));

function lvlcolor($id) {
	include INFUSIONS."shoutbox_panel/includes/shoutbox_config.php";
	include INFUSIONS."shoutbox_panel/infusion_db.php";

	global $locale, $farben, $group_name, $user_groups_c;

	$level = array(
	103 => $locale['dsp044'],
	102 => $locale['dsp045'],
	101 => $locale['dsp046'],
	$user_groups_c => $group_name['group_name']
	);
	
	$user = dbquery ( "SELECT user_name, user_level, user_groups FROM " . DB_USERS . " WHERE user_id='".$id."'" );
	$udata = dbarray ( $user );
	 if (in_array($user_groups_c, explode(".", $udata['user_groups']))) {
	$lvl_color = "<span style='color:#".$farben[$user_groups_c].";'>".$level[$user_groups_c]."</span>"; 
	}else {
	$lvl_color = "<span style='color:#".$farben[$udata['user_level']].";'>".$level[$udata['user_level']]."</span>"; 
	}
	return $lvl_color;
}

function onlinestatus($user, $typ) {
	global $locale;
	$lastvisit = dbarray(dbquery("SELECT user_lastvisit FROM ".DB_USERS." WHERE user_id = '".$user."'"));
	$lastseen = time() - $lastvisit['user_lastvisit'];
		if ($lastseen < 60) {
			if ($typ == "small") {
				return "<img border='0' alt='".$locale['dsp016']."' src='".INFUSIONS."shoutbox_panel/images/online_small.gif' />";
			} elseif ($typ == "normal") {
				return "<img border='0' alt='".$locale['dsp016']."' src='".INFUSIONS."shoutbox_panel/images/online.gif' title='' style='vertical-align:middle;' />";
			} elseif ($typ == "text") {
				return "<font color='green'>".strtoupper($locale['dsp016'])."</font>";
			}
		} elseif ($lastseen < 300) {
			if ($typ == "small") {
				return "<img border='0' alt='".$locale['dsp017']."' src='".INFUSIONS."shoutbox_panel/images/recent-online.gif' />";
			} elseif ($typ == "normal") {
				return "<img border='0' alt='".$locale['dsp018']."' src='".INFUSIONS."shoutbox_panel/images/offline.gif' title='' style='vertical-align:middle;' />";
			} elseif ($typ == "text") {
			return "<font color='#FFD800'>".strtoupper($locale['dsp017'])."</font>";
			}
		} else {
			if ($typ == "small") {
				return "<img border='0' alt='".$locale['dsp018']."' src='".INFUSIONS."shoutbox_panel/images/offline_small.gif' />";
			} elseif ($typ == "normal") {
				return "<img border='0' alt='".$locale['dsp018']."' src='".INFUSIONS."shoutbox_panel/images/offline.gif' title='' style='vertical-align:middle;' />";
			} elseif ($typ == "text") {
				return "<font color='red'>".strtoupper($locale['dsp018'])."</font>";
			}
		}
}

function zeigeAvatar($id, $typ) {
	$ava = dbarray(dbquery("SELECT user_avatar FROM ".DB_USERS." WHERE user_id='".$id."'"));
	if ($ava['user_avatar'] != "") {
		if ($typ == "normal") {
			return "<img src='".IMAGES."avatars/".$ava['user_avatar']."' border='0' alt='' style='max-height:100px; max-width:100px;' />";
		} elseif ($typ == "small") {
			return "<img src='".IMAGES."avatars/".$ava['user_avatar']."' width='16px' height='16px' border='0' alt='' />";
		}
	} else {
		if ($typ == "normal") {
			return "<img src='".INFUSIONS."shoutbox_panel/images/noav.gif' border='0' alt='' style='max-height:100px; max-width:100px;' />";
		} elseif ($typ == "small") {
			return "<img src='".INFUSIONS."shoutbox_panel/images/noav.gif' width='16px' height='16px' border='0' alt='' />";
		}
	}
}

function zeigeAlter($id) {
	$sql = mysql_query("SELECT DATEDIFF(curdate(),user_birthdate) as 'age' FROM ".DB_USERS." WHERE user_id='".$id."'");
		$alter1 = mysql_result($sql,'age');
		$alter2 = $alter1 / 365.24;
		$alter = number_format(floor($alter2),0,'.',',');
    // Rckgabe des Alters
    return $alter;
}

function birthdate($date) {
	global $locale;
	$user_birthdate = explode("-", $date);
	$user_month = number_format($user_birthdate['1']);
	$user_day = number_format($user_birthdate['2']);
	$user_year = $user_birthdate['0'];
	$monat = array("&nbsp", $locale['dspmon01'], $locale['dspmon02'], $locale['dspmon03'], $locale['dspmon04'], $locale['dspmon05'], $locale['dspmon06'], $locale['dspmon07'], $locale['dspmon08'], $locale['dspmon09'], $locale['dspmon10'], $locale['dspmon11'], $locale['dspmon12']);
	$bdate = $user_day.". ".$monat[$user_month]." ".$user_year;
	return $bdate;
}

function overlayInfo($overlayname, $id, $id2) {
	include INFUSIONS."shoutbox_panel/includes/shoutbox_config.php";
require_once INFUSIONS."shoutbox_panel/infusion_db.php";

	global $locale,	$u_colors, $group_name;

	$level = array(
	103 => $locale['dsp044'],
	102 => $locale['dsp045'],
	101 => $locale['dsp046'],
	$user_groups_c => $group_name['group_name']
	);
	
	$shoutcount = dbcount("(shout_id)", DB_SHOUTBOX, "shout_name='".$id."'");
	$result = dbquery("SELECT ts.*, tu.* FROM ".DB_SHOUTBOX." ts
	LEFT JOIN ".DB_USERS." tu ON ts.shout_name=tu.user_id WHERE user_id='".$id."' ORDER BY shout_datestamp DESC");
	$data = dbarray($result);

	$overlay = "<div id='".$overlayname."_".$id."' class='tbl1' style='display: none; border:3px ridge blue; background-color:#FFFFFF; color:#000000; z-index:99; position:absolute; width:400px; height:auto; text-align:center;' onclick=\"overlayclose('".$overlayname."_".$id."');\">"; // Overlay
	$overlay .= "<div style='float:right;'>".$locale['dsp013']."&nbsp;<img src='".INFUSIONS."shoutbox_panel/images/close.png' border='0' alt='' style='vertical-align:middle;cursor:pointer;cursor:hand;' /></div><br clear='all' />";
	$overlay .= "<div class='tbl1' width='100%' style='border:1px solid black;'>"; //Main
	$overlay .= "<div class='tbl2' style='text-align:center;'>";
	$overlay .= "<img src='".INFUSIONS."shoutbox_panel/images/profile_icon.png' style='vertical-align:middle;' alt='' />&nbsp;";
	$overlay .= "<big>".($u_colors == 1 ? usercolor($data['user_id']) : $data['user_name'])."</big> ".(iMEMBER && $u_alter == 1 ? (zeigeAlter($data['user_id']) != 0 ? "(".zeigeAlter($data['user_id']).")" : "") : "")."";
	$overlay .= "</div>";
	$overlay .= "<div class='tbl1' style='float:left;text-align:center;vertical-align:top;width:100px;'>"; // linke Box oben
	$overlay .= zeigeAvatar($data['user_id'], 'normal');
	$overlay .= "</div>"; // linke Box oben
	$overlay .= "<div class='tbl1' style='float:right;text-align:left;vertical-align:top'>"; // rechte Box oben
	if ($u_online == 1) {
	$overlay .= "<div class='tbl1' style='white-space:nowrap;text-align:left;'>";
	$overlay .= onlinestatus($data['user_id'],'normal')."&nbsp;".$locale['dsp019'].": ".onlinestatus($data['user_id'],'text');
	$overlay .= "</div>";
	}
	if (iMEMBER) {
	$overlay .= "<div class='tbl1' style='white-space:nowrap;text-align:left;'>";
	$overlay .= "<img src='".INFUSIONS."shoutbox_panel/images/profil.png' style='vertical-align:middle;' alt='' />&nbsp;
				<a href='".BASEDIR."profile.php?lookup=".$data['shout_name']."'>".$locale['dsp001']."</a>";
	$overlay .= "</div>";
	}
	if ($data['user_web'] && $u_web == 1) {
		$overlay .= "<div class='tbl1' style='white-space:nowrap;text-align:left;'>";
		if (!strstr($data['user_web'], "http://")) { $urlprefix = "http://"; } else { $urlprefix = ""; }
		$overlay .= "<img src='".INFUSIONS."shoutbox_panel/images/web.png' style='vertical-align:middle;' alt='' />&nbsp;
					<a href='".$urlprefix."".$data['user_web']."' target='_blank' >".$data['user_name'].$locale['dsp014']."</a>";
		$overlay .= "</div>";
	}
	if ((iMEMBER) && ($id != $id2)) {
	$overlay .= "<div class='tbl1' style='white-space:nowrap;text-align:left;'>";
	$overlay .= "<img src='".INFUSIONS."shoutbox_panel/images/new-mail.png' style='vertical-align:middle;' alt='' />&nbsp;<a href='".BASEDIR."messages.php?msg_send=".$data['user_id']."'>".$locale['dsp004']."</a>\n";
	$overlay .= "</div>";
	}
	// Intern Messenger
	if (file_exists(BASEDIR."infusions/instant_messenger_panel/instantmessenger.php") && $u_messenger == 1) {
		if ((iMEMBER) && ($id != $id2)) {
			$on_off = time() - $data['user_lastvisit'];
				if ($on_off < 60) {
					$on_off = "msn_online.png";
					$msnon = $locale['dsp020'];
				} else {
					$on_off = "msn-busy.png";
					$msnon = $locale['dsp021'];
				}
			$overlay .= "<div class='tbl1' style='white-space:nowrap;text-align:left;'>";
			$overlay .= "<img src='".INFUSIONS."shoutbox_panel/images/".$on_off."' border='0' style='vertical-align:middle;' />&nbsp;
						<a target=\"popup\" onClick=\"window.open('', 'popup', 'width=450,height=500,scrollbars=yes, toolbar=no,status=no, resizable=yes,menubar=no,location=no,directories=no,top=10,left=10')\"href=\"".BASEDIR."infusions/instant_messenger_panel/instantmessenger.php?c=".$data['user_id']."\">".$locale['dsp022'].$data['user_name']."</a>
						<div class='small' style='padding-left:24px;'>&nbsp;".$msnon."</div>";
			$overlay .= "</div>";
		}
	}
	// Intern Messenger
	if (iMEMBER && $u_all_shouts == 1) {
		$overlay .= "<div class='tbl1' style='white-space:nowrap;text-align:left;'>";
		$overlay .= "<img src='".INFUSIONS."shoutbox_panel/images/shouts.png' style='vertical-align:middle;' alt='' />&nbsp;<a href='".INFUSIONS."shoutbox_panel/shoutbox_user_archive.php?shout_user=".$data['shout_name']."'>".$locale['dsp024'].$data['user_name']."</a>";
		$overlay .= "</div>";
	}
	if ((iMEMBER) && ($id != $id2)) {
	$overlay .= "<div class='tbl1' style='white-space:nowrap;text-align:left;'>";
	$overlay .= "<img src='".INFUSIONS."shoutbox_panel/images/answer.png' style='vertical-align:middle;' alt='' />&nbsp;<a onClick=\"antworteUser".$overlayname."('".(isset($data['user_name']) ? $data['user_name'] : $data['shout_name'])."');\" style='cursor:pointer;'>".$locale['dsp002'].$data['user_name'].$locale['dsp003']."</a>";
	$overlay .= "</div>";
	}
	$overlay .= "</div>"; //rechte Box oben
	$overlay .= "<br clear='all' />";
	$overlay .= "<div class='tbl2' style='text-align:center;'>";
	$overlay .= "<img src='".INFUSIONS."shoutbox_panel/images/info.png' style='vertical-align:middle;' alt='' />&nbsp;<b>".$locale['dsp005']."</b>";
	$overlay .= "</div>";
	$overlay .= "<div class='tbl1' style='float:left;text-align:right;vertical-align:top;'>"; // linke Box unten
	$overlay .= "<div class='tbl1' style='white-space:nowrap;text-align:right;'>";
	$overlay .= "<b>".$locale['dsp040']."</b>"; // Name
	$overlay .= "</div>";
	$overlay .= "<div class='tbl1' style='white-space:nowrap;text-align:right;'>";
	$overlay .= "<b>".$locale['dsp009']."</b>"; // Userlevel
	$overlay .= "</div>";
	$overlay .= "<div class='tbl1' style='white-space:nowrap;text-align:right;'>";
	$overlay .= "<b>".$locale['dsp041']."</b>";  // Registriert am
	$overlay .= "</div>";
	$overlay .= "<div class='tbl1' style='white-space:nowrap;text-align:right;'>";
	$overlay .= "<b>".$locale['dsp042']."</b>"; // Letzter Besuch
	$overlay .= "</div>";
	if (iMEMBER) {
		if ($data['user_location'] != "" && $u_herkunft == 1) {
			$overlay .= "<div class='tbl1' style='white-space:nowrap;text-align:right;'>";
			$overlay .= "<b>".$locale['dsp010']."</b>"; // Wohnort
			$overlay .= "</div>";
		}
		if ($data['user_birthdate'] != "0000-00-00" && $u_birthdate == 1) {
			$overlay .= "<div class='tbl1' style='white-space:nowrap;text-align:right;'>";
			$overlay .= "<b>".$locale['dsp011']."</b>";  // Geburtsdatum
			$overlay .= "</div>";
		}
		if (zeigeAlter($data['user_id']) != 0 && $u_alter == 1) {
			$overlay .= "<div class='tbl1' style='white-space:nowrap;text-align:right;'>";
			$overlay .= "<b>".$locale['dsp012']."</b>"; // Alter
			$overlay .= "</div>";
		}
	}
	$overlay .= "<div class='tbl1' style='white-space:nowrap;text-align:right;'>";
	$overlay .= "<b>".$locale['dsp043']."</b>"; // Anzahl Shouts
	$overlay .= "</div>";
	$overlay .= "<div class='tbl1' style='white-space:nowrap;text-align:right;'>";
	$overlay .= "<b>".$locale['dsp006']."</b>"; // Letzter Shout
	$overlay .= "</div>";
	$overlay .= "</div>"; // linke Box unten
	
	$overlay .= "<div class='tbl1' style='text-align:left;vertical-align:top'>"; // rechte Box unten
	$overlay .= "<div class='tbl1' style='white-space:nowrap;text-align:left;'>";
	$overlay .= ($u_colors == 1 ? usercolor($data['user_id']) : $data['user_name']); // Name
	$overlay .= "</div>";
	$overlay .= "<div class='tbl1' style='white-space:nowrap;text-align:left;'>";
	/***/$overlay .= ($u_colors == 1 ? lvlcolor($data['user_id']) : $level[$data['user_level']]); // Userlevel
	$overlay .= "</div>";
	$overlay .= "<div class='tbl1' style='white-space:nowrap;text-align:left;'>";
	$overlay .= showdate("%d.%m.%y %H:%M", $data['user_joined']);  // Registriert am
	$overlay .= "</div>";
	$overlay .= "<div class='tbl1' style='white-space:nowrap;text-align:left;'>";
	$overlay .= showdate("%d.%m.%y %H:%M", $data['user_lastvisit']); // Letzter Besuch
	$overlay .= "</div>";
	if (iMEMBER) {
		if ($data['user_location'] != "" && $u_herkunft == 1) {
			$overlay .= "<div class='tbl1' style='white-space:nowrap;text-align:left;'>";
			$overlay .= $data['user_location']; // Wohnort
			$overlay .= "</div>";
		}
		if ($data['user_birthdate'] != "0000-00-00" && $u_birthdate == 1) {
			$overlay .= "<div class='tbl1' style='white-space:nowrap;text-align:left;'>";
			$overlay .= birthdate($data['user_birthdate']);  // Geburtsdatum
			$overlay .= "</div>";
		}
		if (zeigeAlter($data['user_id']) != 0 && $u_alter == 1) {
			$overlay .= "<div class='tbl1' style='white-space:nowrap;text-align:left;'>";
			$overlay .= zeigeAlter($data['user_id']); // Alter
			$overlay .= "</div>";
		}
	}
	$overlay .= "<div class='tbl1' style='white-space:nowrap;text-align:left;'>";
	$overlay .= $shoutcount; // Anzahl Shouts
	$overlay .= "</div>";
	$overlay .= "<div class='tbl1' style='white-space:nowrap;text-align:left;'>";
	$overlay .= showdate("%d.%m.%Y %H:%M:%S", $data['shout_datestamp']); // Letzter Shout
	$overlay .= "</div>";
	$overlay .= "</div>"; // rechte Box unten
	$overlay .= "<br clear='all' />";	
	$overlay .= "</div>"; // Main
	$overlay .= "</div>"; // Overlay
	
	return $overlay;
}

function zeigeHilfe($seite, $form) {
	include INFUSIONS."shoutbox_panel/includes/shoutbox_config.php";
	include INFUSIONS."shoutbox_panel/infusion_db.php";

	global $locale;
	$hilfe = "<div id='hilfe_".$seite."' class='tbl1' style='display: none; border:3px ridge blue; background-color:#FFFFFF; color:#000000; z-index:99; position: absolute; width: 400px; height: 400px; overflow:auto; text-align: center' onclick=\"overlayclose('hilfe_".$seite."');\">";
	$hilfe .= "<div style='float:right;'>".$locale['dsp013']."&nbsp;<img src='".INFUSIONS."shoutbox_panel/images/close.png' border='0' alt='' style='vertical-align:middle;cursor:pointer;cursor:hand;' /></div>";
	$hilfe .= "<table class='tbl-border' cellpadding='0' cellspacing='0' width='100%'>";
	$hilfe .= "<tr>";
	$hilfe .= "<td class='tbl2' style='text-align:center;'>
				<img src='".INFUSIONS."shoutbox_panel/images/helpL.png' style='vertical-align:middle;' alt='' />&nbsp;<big>".$locale['dsp047']."</big>
				</td>";
	$hilfe .= "</tr>";
	$hilfe .= "<tr>";
	$hilfe .= "<td class='tbl2' style='text-align:left;'><hr class='side-hr'/></td>";
	$hilfe .= "</tr>";
	$hilfe .= "<tr>";
	$hilfe .= "<td class='tbl2' style='text-align:left;'><b>".$locale['dsp048']."</b></td>";
	$hilfe .= "</tr>";
	$hilfe .= "<tr>";
	$hilfe .= "<td class='tbl1' style='text-align:left;'>".$locale['dsp049']."<br />
				<img src='".INCLUDES."bbcodes/images/smiley.png' style='vertical-align:middle;' alt='' />
				<img src='".INCLUDES."bbcodes/images/b.png' style='vertical-align:middle;' alt='' />
				<img src='".INCLUDES."bbcodes/images/i.png' style='vertical-align:middle;' alt='' />
				<img src='".INCLUDES."bbcodes/images/u.png' style='vertical-align:middle;' alt='' />
				<img src='".INCLUDES."bbcodes/images/color.png' style='vertical-align:middle;' alt='' /><br />
				".$locale['dsp051']."<img src='".INFUSIONS."shoutbox_panel/images/close.png' border='0' alt='' style='vertical-align:middle;cursor:pointer;cursor:hand;' />".$locale['dsp052']."<br />
				<span style='font-size:xx-small'>".$locale['dsp053']."</span></td>";
	$hilfe .= "</tr>";
	$hilfe .= "<tr>";
	$hilfe .= "<td class='tbl2' style='text-align:left;'><b>".$locale['dsp054']."</b></td>";
	$hilfe .= "</tr>";
	$hilfe .= "<tr>";
	$hilfe .= "<td class='tbl1' style='text-align:left;'>".$locale['dsp055']."</td>";
	$hilfe .= "</tr>";
	$hilfe .= "<tr>";
	$hilfe .= "<td class='tbl2' style='text-align:left;'><b>".$locale['dsp056']."</b></td>";
	$hilfe .= "</tr>";
	$hilfe .= "<tr>";
	$hilfe .= "<td class='tbl1' style='text-align:left;'>".$locale['dsp057']."<br />".$locale['dsp058'].display_bbcodes("165px;", "shout_message", $form, "smiley")."</td>";
	$hilfe .= "</tr>";
	$hilfe .= "<tr>";
	$hilfe .= "<td class='tbl2' style='text-align:left;'><b>".$locale['dsp059']."</b></td>";
	$hilfe .= "</tr>";
	$hilfe .= "<tr>";
	$hilfe .= "<td class='tbl1' style='text-align:left;'>".$locale['dsp060']."<br />".$locale['dsp058']."".display_bbcodes("165px;", "shout_message", $form, "b|i|u")."</td>";
	$hilfe .= "</tr>";
	$hilfe .= "<tr>";
	$hilfe .= "<td class='tbl2' style='text-align:left;'><b>".$locale['dsp061']."</b></td>";
	$hilfe .= "</tr>";
	$hilfe .= "<tr>";
	$hilfe .= "<td class='tbl1' style='text-align:left;'>".$locale['dsp062']."<br />
				".$locale['dsp058']."".display_bbcodes("165px;", "shout_message", $form, "color")."<br />".$locale['dsp063']."</td>";
	$hilfe .= "</tr>";
	if (($me_befehl == 1) || ($news_befehl == 1)) {
	$hilfe .= "<tr>";
	$hilfe .= "<td class='tbl2' style='text-align:left;'><b>".$locale['dsp064']."</b></td>";
	$hilfe .= "</tr>";
	$hilfe .= "<tr>";
	$hilfe .= "<td class='tbl1' style='text-align:left;'>".($me_befehl == 1 ? $locale['dsp065'] : "")." ".($news_befehl == 1 ? $locale['dsp065a'] : "")."</td>";
	$hilfe .= "</tr>";
	}
	$hilfe .= "<tr>";
	$hilfe .= "<td class='tbl2' style='text-align:left;'><b>".$locale['dsp066']."</b></td>";
	$hilfe .= "</tr>";
	$hilfe .= "<tr>";
	$hilfe .= "<td class='tbl1' style='text-align:left;'>".$locale['dsp067']."</td>";
	$hilfe .= "</tr>";
	$hilfe .= "<tr>";
	$hilfe .= "<td class='tbl2' style='text-align:left;'>".zeigeCopyright('right')."</td>";
	$hilfe .= "</tr>";
	$hilfe .= "</table>";
	$hilfe .= "</div>";
	

	return $hilfe;
}

function color_mapper($field, $value) {
   $cvalue[] = "00";
   $cvalue[] = "33";
   $cvalue[] = "66";
   $cvalue[] = "99";
   $cvalue[] = "CC";
   $cvalue[] = "FF";
   $select = "";
   $select = "<select name='".$field."' class='textbox' onchange=\"document.getElementById('preview_".$field."').style.background = '#' + this.options[this.selectedIndex].value;\">\n";
   for ($ca=0; $ca<count($cvalue); $ca++) {
      for ($cb=0; $cb<count($cvalue); $cb++) {
         for ($cc=0; $cc<count($cvalue); $cc++) {
            $hcolor = $cvalue[$ca].$cvalue[$cb].$cvalue[$cc];
            $select .= "<option value='".$hcolor."'".($value==$hcolor?" selected ":" ")."style='background-color:#".$hcolor.";'>#".$hcolor."</option>\n";
         }
      }
   }
   $select .= "</select>\n";
   return $select;
}

function color_inverse($color){
    $color = str_replace('#', '', $color);
    if (strlen($color) != 6){ return '000000'; }
    $rgb = '';
    for ($x=0;$x<3;$x++){
        $c = 255 - hexdec(substr($color,(2*$x),2));
        $c = ($c < 0) ? 0 : dechex($c);
        $rgb .= (strlen($c) < 2) ? '0'.$c : $c;
    }
    return '#'.$rgb;
}

	?>
	<script type="text/javascript">
function textCounter(textarea, counterID, maxLen) {
cnt = document.getElementById(counterID);
if (textarea.value.length > maxLen)
{
textarea.value = textarea.value.substring(0,maxLen);
}
cnt.innerHTML = maxLen - textarea.value.length;
}

function antworteUsershoutbox(Name) {
document.shout_form.shout_message.value = "[b]@"+Name+":[/b] "; 
document.shout_form.shout_message.focus();
}

function setkeks() { 
	var ablauf = new Date();
	var datum = ablauf.getTime() + (365 * 24 * 60 * 60 * 1000);
	ablauf.setTime(datum);
	document.cookie =  "ajax_shoutbox=1; path=/; expires=" + ablauf.toGMTString();
}
function delkeks() {
	var ablauf = new Date();
	var datum = ablauf.getTime() + (365 * 24 * 60 * 60 * 1000);
	ablauf.setTime(datum);
	document.cookie =  "ajax_shoutbox=0; path=/; expires=" + ablauf.toGMTString();
}

function resetkeks() {
	document.cookie =  "ajax_shoutbox=1; path=/; expires=Thu, 01-Jan-70 00:00:01 GMT;";
}

</script>
	<?php
	
function zeigeCopyright($align) {
	global $locale;
	$res = "<div style='text-align: ".$align.";'><a href='http://phpfusion.marcusg.de' target='_blank' title='".$locale['dsp_name']." v".$locale['dsp_version']." &copy; 2009 by MarcusG'><span class='small'>&copy;</span></a></div>";
	return $res;
}
function sh_newCopyright() {
	$folder = "shoutbox_panel"; // Ordner
	global $locale;
	$data_version = dbarray(dbquery("SELECT inf_title, inf_version FROM ".DB_INFUSIONS." WHERE inf_folder = '".$folder."'"));	
	$version = "v".$locale['dsp_version']."";
	$title = "".$locale['dsp_name']."";
	$title = str_replace("MG ", "", $title);
	$string = " ".$title." ".$version;
	
	$copyright = "<div style='text-align: right;padding:5px;'><a href='http://phpfusion.marcusg.de' target='_blank' title=''><img src='".INFUSIONS.$folder."/copyright.php?string=".$string."' border='0' alt='' title='&copy; ".showdate("%Y",time())." by MarcusG' style='height:18px;' /></a></div>";
	return $copyright;
}
?>