<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: shoutbox_config.php
| Modified to: MG Shoutbox DeLuxe v3.1.1
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

/*##### Konfigurationsdatei fr die MG Shoutbox DeLuxe ################################*/

/*##### nderungen nur im Notfall hier vornehmen ######################################*/

$ajax_by_user = 1; // User kann whlen ob Ajax Refresh, 1 = ja, 0 = nein

$refresh = 30000; // Aktualisierungsintervall in Millisekunden

if (($ajax_by_user == 0) || (!isset($_COOKIE['ajax_shoutbox']))) {
		$ajax = 1; // Ajax Refresh global aktivieren, 1 = an, 0 = aus, nur ndern wenn $ajax_by_user = 0
} else {
		$ajax = $_COOKIE["ajax_shoutbox"]; // Status wird im Cookie gespeichert
}

$auto_hoehe = 1; // Automatische Hhe der Shoutbox, 1 = an, 0 = aus

$hoehe = "750"; // Hhe der Shoutbox in px(maximal)

$hilfe = 1; // Anzeige der Shoutbox-Hilfe, 1 = an, 0 = aus

$mini_ava = 1; // Anzeige des Miniatur-Avatars vor dem Usernamen, 1 = an, 0 = aus

$online = 1; // Anzeige des Online/Offline-Symbols hinter dem Usernamen, 1 = an, 0 = aus

$u_details = 1; // Anzeige der User-Details bei Klick auf den Mini-Avatar oder Usernamen, 1 = an, 0 = aus

$u_alter = 1;  // Anzeige des Alters, 1 = an, 0 = aus

$u_birthdate = 1;  // Anzeige des Geburtstags, 1 = an, 0 = aus

$u_herkunft = 1;  // Anzeige der Herkunft, 1 = an, 0 = aus

$u_web = 1;  // Anzeige der Webseite des Users, 1 = an, 0 = aus

$u_online = 1;  // Anzeige des Online-Status des Users, 1 = an, 0 = aus

$u_all_shouts = 1;  // Anzeige aller Shouts des Users, 1 = an, 0 = aus

$u_messenger = 1;  // Anzeige des Intern Messenger(sofern installiert), 1 = an, 0 = aus

$u_colors = 1;  // Anzeige der Usernamen in verschiedenen Farben, abhngig vom Level, 1 = an, 0 = aus

$user_groups_c = "5";

$farben = array(
103 => "CC0000",	// Userfarbe fr SuperAdmins (User-Level 103)
102 => "000099",	// Userfarbe fr Admins (User-Level 102)
101 => "009900",		// Userfarbe fr Mitglieder (User-Level 101)
5 => "3333FF"		// Farbe der Gruppe 5
);

$zeit = "relativ";  // Anzeige der Zeit, absolut | relativ

$me_befehl = 1;  // Erlaubt den Spezial-Befehl "/me", 1 = an, 0 = aus

$news_befehl = 1;  // Erlaubt den Spezial-Befehl "/news", 1 = an, 0 = aus

/*##### Konfiguration Ende, ab hier nichts mehr ndern ############################################################*/

?>