<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: shoutbox_panel.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| Modified to: MG Shoutbox DeLuxe v3.1.1
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../maincore.php";
require_once THEMES."templates/header.php";


if (!defined("IN_FUSION")) { die("Access Denied"); }
if (file_exists(INFUSIONS."shoutbox_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."shoutbox_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."shoutbox_panel/locale/German.php";
}
add_to_head("<script src='".INFUSIONS."shoutbox_panel/includes/jquery-1.4.2.min.js' type='text/javascript'></script>\n
<script type=\"text/javascript\">
	$(function() {
	$('#ajax').change(function() {
	$('.ajax').slideToggle(\"slow\");
	});
	});
	$(function() {
	$('#auto_hoehe').change(function() {
	$('.auto_hoehe').slideToggle(\"slow\");
	});
	});
	$(function() {
	$('#u_details').change(function() {
	$('.u_details').slideToggle(\"slow\");
	});
	});
	$(function() {
	$('#u_colors').change(function() {
	$('.u_colors').slideToggle(\"slow\");
	});
	});
</script>");
include INFUSIONS."shoutbox_panel/includes/shoutbox_config.php";
require_once INFUSIONS."shoutbox_panel/includes/func.php";
require_once INFUSIONS."shoutbox_panel/infusion_db.php";

echo "";
if (!iADMIN) {redirect(BASEDIR."index.php");}
if (isset($_GET['status']) && ($_GET['status']!="")){
	if ($_GET['status']=="saved") {
		opentable($locale['dsp_a03']);
		echo "<div align='center'>";
		echo "<img src='".INFUSIONS."shoutbox_panel/images/a_ok.png' border='0' alt='' /><br />";
		echo "".$locale['dsp_a04']."<br />\"infusions/shoutbox_panel/includes/shoutbox_config.php\" ".$locale['dsp_a05']."<br />";
		echo "<input type='button' name='ok' value='".$locale['dsp_a06']."' class='button' onClick=\"location.href='".$PHP_SELF."'\" /></div><br />";
		closetable();
	} elseif ($_GET['status']=="default") {
		opentable($locale['dsp_a03']);
		echo "<div align='center'>";
		echo "<img src='".INFUSIONS."shoutbox_panel/images/a_ok.png' border='0' alt='' /><br />";
		echo "".$locale['dsp_a07']."<br />\"infusions/shoutbox_panel/includes/shoutbox_config.php\" ".$locale['dsp_a05']."<br />";
		echo "<input type='button' name='ok' value='".$locale['dsp_a06']."' class='button' onClick=\"location.href='".$PHP_SELF."'\" /></div><br />";
		closetable();
	} elseif ($_GET['status']=="keks") {
		opentable($locale['dsp_a08']);
		echo "<div align='center'>";
		echo "<img src='".INFUSIONS."shoutbox_panel/images/a_info.png' border='0' alt='' /><br />";
		echo "".$locale['dsp_a09']." \"shoutbox_config.php\".<br />";
		echo "<input type='button' name='ok' value='".$locale['dsp_a06']."' class='button' onClick=\"location.href='".$PHP_SELF."'\" /></div><br />";
		closetable();
	}
}
if (isset($_POST['speichern'])){
// shoutbox_config.php speichern
	if (!is_writable(INFUSIONS."shoutbox_panel/includes/shoutbox_config.php")){
	opentable($locale['dsp_a10']);
	echo "<div align='center'>";
	echo "<img src='".INFUSIONS."shoutbox_panel/images/a_error.png' border='0' alt='' /><br />";
	echo "\"infusions/shoutbox_panel/includes/shoutbox_config.php\" ".$locale['dsp_a11']."<br />";
	echo "<input type='button' name='ok' value='".$locale['dsp_a06']."' class='button' onClick=\"location.href='".$PHP_SELF."'\" /></div><br />";
	closetable();
	} else {		
		if (str_replace(".", "", $settings['version']) >= 70100) {
			$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".(isnum($_POST['numofshouts']) ? $_POST['numofshouts'] : "10")."' WHERE settings_name='numofshouts'");
		} else {
			$result = dbquery("UPDATE ".DB_SETTINGS." SET numofshouts='".(isnum($_POST['numofshouts']) ? $_POST['numofshouts'] : "10")."'");
		}
	$dateiname = INFUSIONS."shoutbox_panel/includes/shoutbox_config.php";
	$datei = fopen($dateiname,"w+");
	$daten = "<?php\n";
	$daten .= "/*-------------------------------------------------------+\n";
	$daten .= "| PHP-Fusion Content Management System\n";
	$daten .= "| Copyright (C) 2002 - 2009 Nick Jones\n";
	$daten .= "| http://www.php-fusion.co.uk/\n";
	$daten .= "+--------------------------------------------------------+\n";
	$daten .= "| Filename: shoutbox_config.php\n";
	$daten .= "| Modified to: ".$locale['dsp_name']." v".$locale['dsp_version']."\n";
	$daten .= "| Author: MarcusG\n";
	$daten .= "+--------------------------------------------------------+\n";
	$daten .= "| This program is released as free software under the\n";
	$daten .= "| Affero GPL license. You can redistribute it and/or\n";
	$daten .= "| modify it under the terms of this license which you\n";
	$daten .= "| can read by viewing the included agpl.txt or online\n";
	$daten .= "| at www.gnu.org/licenses/agpl.html. Removal of this\n";
	$daten .= "| copyright header is strictly prohibited without\n";
	$daten .= "| written permission from the original author(s).\n";
	$daten .= "+--------------------------------------------------------*/\n\n";
	$daten .= "/*##### ".$locale['dsp_con01']." ################################*/\n\n";
	$daten .= "/*##### ".$locale['dsp_con02']." ######################################*/\n\n";
	if ($_POST['ajax'] == 1) {
	$daten .= "\$ajax_by_user = ".$_POST['ajax_by_user']."; // ".$locale['dsp_con05'].", ".$locale['dsp_con03']."\n\n";
	$daten .= "\$refresh = ".$_POST['refresh']."; // ".$locale['dsp_con06']."\n\n";
	} else {
	$daten .= "\$ajax_by_user = 0; // ".$locale['dsp_con05'].", ".$locale['dsp_con03']."\n\n";
	$daten .= "\$refresh = 30000; // ".$locale['dsp_con06']."\n\n";
	}
	$daten .= "if ((\$ajax_by_user == 0) || (!isset(\$_COOKIE['ajax_shoutbox']))) {\n";
	$daten .= "		\$ajax = ".$_POST['ajax']."; // ".$locale['dsp_con07'].", ".$locale['dsp_con04'].", ".$locale['dsp_con08']." \$ajax_by_user = 0\n";
	$daten .= "} else {\n";
	$daten .= "		\$ajax = \$_COOKIE[\"ajax_shoutbox\"]; // ".$locale['dsp_con09']."\n";
	$daten .= "}\n\n";
	$daten .= "\$auto_hoehe = ".$_POST['auto_hoehe']."; // ".$locale['dsp_con10'].", ".$locale['dsp_con04']."\n\n";
	$daten .= "\$hoehe = \"".$_POST['hoehe']."\"; // ".$locale['dsp_con11']."\n\n";
	$daten .= "\$hilfe = ".$_POST['hilfe']."; // ".$locale['dsp_con12'].", ".$locale['dsp_con04']."\n\n";
	$daten .= "\$mini_ava = ".$_POST['mini_ava']."; // ".$locale['dsp_con13'].", ".$locale['dsp_con04']."\n\n";
	$daten .= "\$online = ".$_POST['online']."; // ".$locale['dsp_con14'].", ".$locale['dsp_con04']."\n\n";
	$daten .= "\$u_details = ".$_POST['u_details']."; // ".$locale['dsp_con15'].", ".$locale['dsp_con04']."\n\n";
	$daten .= "\$u_alter = ".$_POST['u_alter'].";  // ".$locale['dsp_con16'].", ".$locale['dsp_con04']."\n\n";
	$daten .= "\$u_birthdate = ".$_POST['u_birthdate'].";  // ".$locale['dsp_con17'].", ".$locale['dsp_con04']."\n\n";
	$daten .= "\$u_herkunft = ".$_POST['u_herkunft'].";  // ".$locale['dsp_con18'].", ".$locale['dsp_con04']."\n\n";
	$daten .= "\$u_web = ".$_POST['u_web'].";  // ".$locale['dsp_con19'].", ".$locale['dsp_con04']."\n\n";
	$daten .= "\$u_online = ".$_POST['u_online'].";  // ".$locale['dsp_con20'].", ".$locale['dsp_con04']."\n\n";
	$daten .= "\$u_all_shouts = ".$_POST['u_all_shouts'].";  // ".$locale['dsp_con21'].", ".$locale['dsp_con04']."\n\n";
	$daten .= "\$u_messenger = ".$_POST['u_messenger'].";  // ".$locale['dsp_con22'].", ".$locale['dsp_con04']."\n\n";
	$daten .= "\$u_colors = ".$_POST['u_colors'].";  // ".$locale['dsp_con23'].", ".$locale['dsp_con04']."\n\n";
	######
	$daten .= "\$user_groups_c = \"".$_POST['user_groups_c']."\";\n\n";
	$daten .= "\$farben = array(\n";
	$daten .= "103 => \"".$_POST['sa_farbe']."\",	// ".$locale['dsp_con24']." ".$locale['dsp_con25']."\n";
	$daten .= "102 => \"".$_POST['admin_farbe']."\",	// ".$locale['dsp_con24']." ".$locale['dsp_con26']."\n";
	$daten .= "101 => \"".$_POST['member_farbe']."\",		// ".$locale['dsp_con24']." ".$locale['dsp_con27']."\n";
		$daten .= "".$_POST['user_groups_c']." => \"".$_POST['group_farbe']."\"		// Farbe der Gruppe ".$user_groups_c."\n";
	$daten .= ");\n\n";
	######
	$daten .= "\$zeit = \"".$_POST['zeit']."\";  // ".$locale['dsp_con28']."\n\n";
	$daten .= "\$me_befehl = ".$_POST['me_befehl'].";  // ".$locale['dsp_con29']." \"/me\", ".$locale['dsp_con04']."\n\n";
	$daten .= "\$news_befehl = ".$_POST['news_befehl'].";  // ".$locale['dsp_con29']." \"/news\", ".$locale['dsp_con04']."\n\n";
	$daten .= "/*##### ".$locale['dsp_con30']." ############################################################*/\n\n";
	$daten .= "?>";

    rewind($datei); 
    fwrite($datei, $daten); 
    fclose($datei);
	@chmod("includes/shoutbox_config.php", 0644);
	redirect($PHP_SELF."?status=saved");
	}
}
if (isset($_POST['default'])) {
// shoutbox_config.php Default-Werte speichern
	if (!is_writable(INFUSIONS."shoutbox_panel/includes/shoutbox_config.php")){
	opentable($locale['dsp_a10']);
	echo "<div align='center'>";
	echo "<img src='".INFUSIONS."shoutbox_panel/images/a_error.png' border='0' alt='' /><br />";
	echo "\"infusions/shoutbox_panel/includes/shoutbox_config.php\" ".$locale['dsp_a11']."<br />";
	echo "<input type='button' name='ok' value='Ok' class='button' onClick=\"location.href='".$PHP_SELF."'\" /></div><br />";
	closetable();
	} else {
		if (str_replace(".", "", $settings['version']) >= 70100) {
			$result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='5' WHERE settings_name='numofshouts'");
		} else {
			$result = dbquery("UPDATE ".DB_SETTINGS." SET numofshouts='5'");
		}
	$dateiname = INFUSIONS."shoutbox_panel/includes/shoutbox_config.php";
	$datei = fopen($dateiname,"w+");
	$daten = "<?php\n";
	$daten .= "/*-------------------------------------------------------+\n";
	$daten .= "| PHP-Fusion Content Management System\n";
	$daten .= "| Copyright (C) 2002 - 2011 Nick Jones\n";
	$daten .= "| http://www.php-fusion.co.uk/\n";
	$daten .= "+--------------------------------------------------------+\n";
	$daten .= "| Filename: shoutbox_config.php\n";
	$daten .= "| Modified to: ".$locale['dsp_name']." v".$locale['dsp_version']."\n";
	$daten .= "| Author: MarcusG\n";
	$daten .= "+--------------------------------------------------------+\n";
	$daten .= "| This program is released as free software under the\n";
	$daten .= "| Affero GPL license. You can redistribute it and/or\n";
	$daten .= "| modify it under the terms of this license which you\n";
	$daten .= "| can read by viewing the included agpl.txt or online\n";
	$daten .= "| at www.gnu.org/licenses/agpl.html. Removal of this\n";
	$daten .= "| copyright header is strictly prohibited without\n";
	$daten .= "| written permission from the original author(s).\n";
	$daten .= "+--------------------------------------------------------*/\n\n";
	$daten .= "/*##### ".$locale['dsp_con01']." ################################*/\n\n";
	$daten .= "/*##### ".$locale['dsp_con02']." ######################################*/\n\n";
	$daten .= "\$ajax_by_user = 1; // ".$locale['dsp_con05'].", ".$locale['dsp_con03']."\n\n";
	$daten .= "\$refresh = 30000; // ".$locale['dsp_con06']."\n\n";
	$daten .= "if ((\$ajax_by_user == 0) || (!isset(\$_COOKIE['ajax_shoutbox']))) {\n";
	$daten .= "		\$ajax = 1; // ".$locale['dsp_con07'].", ".$locale['dsp_con04'].", ".$locale['dsp_con08']." \$ajax_by_user = 0\n";
	$daten .= "} else {\n";
	$daten .= "		\$ajax = \$_COOKIE[\"ajax_shoutbox\"]; // ".$locale['dsp_con09']."\n";
	$daten .= "}\n\n";
	$daten .= "\$auto_hoehe = 1; // ".$locale['dsp_con10'].", ".$locale['dsp_con04']."\n\n";
	$daten .= "\$hoehe = \"550\"; // ".$locale['dsp_con11']."\n\n";
	$daten .= "\$hilfe = 1; // ".$locale['dsp_con12'].", ".$locale['dsp_con04']."\n\n";
	$daten .= "\$mini_ava = 1; // ".$locale['dsp_con13'].", ".$locale['dsp_con04']."\n\n";
	$daten .= "\$online = 1; // ".$locale['dsp_con14'].", ".$locale['dsp_con04']."\n\n";
	$daten .= "\$u_details = 1;  // ".$locale['dsp_con15'].", ".$locale['dsp_con04']."\n\n";
	$daten .= "\$u_alter = 1;  // ".$locale['dsp_con16'].", ".$locale['dsp_con04']."\n\n";
	$daten .= "\$u_birthdate = 1;  // ".$locale['dsp_con17'].", ".$locale['dsp_con04']."\n\n";
	$daten .= "\$u_herkunft = 1;  // ".$locale['dsp_con18'].", ".$locale['dsp_con04']."\n\n";
	$daten .= "\$u_web = 1;  // ".$locale['dsp_con19'].", ".$locale['dsp_con04']."\n\n";
	$daten .= "\$u_online = 1;  // ".$locale['dsp_con20'].", ".$locale['dsp_con04']."\n\n";
	$daten .= "\$u_all_shouts = 1;  // ".$locale['dsp_con21'].", ".$locale['dsp_con04']."\n\n";
	$daten .= "\$u_messenger = 1;  // ".$locale['dsp_con22'].", ".$locale['dsp_con04']."\n\n";
	$daten .= "\$u_colors = 1;  // ".$locale['dsp_con23'].", ".$locale['dsp_con04']."\n\n";
	######
	$daten .= "\$user_groups_c = \"104\";\n\n";
	$daten .= "\$farben = array(\n";
	$daten .= "103 => \"".$_POST['sa_farbe']."\",	// ".$locale['dsp_con24']." ".$locale['dsp_con25']."\n";
	$daten .= "102 => \"".$_POST['admin_farbe']."\",	// ".$locale['dsp_con24']." ".$locale['dsp_con26']."\n";
	$daten .= "101 => \"".$_POST['member_farbe']."\",		// ".$locale['dsp_con24']." ".$locale['dsp_con27']."\n";
	$daten .= "104 => \"".$_POST['group_farbe']."\"		// Farbe der Gruppe ".$user_groups_c."\n";
	######
	$daten .= ");\n\n";

	$daten .= "\$zeit = \"relativ\";  // ".$locale['dsp_con28']."\n\n";
	$daten .= "\$me_befehl = 1;  // ".$locale['dsp_con29']." \"/me\", ".$locale['dsp_con04']."\n\n";
	$daten .= "\$news_befehl = 1;  // ".$locale['dsp_con29']." \"/news\", ".$locale['dsp_con04']."\n\n";
	$daten .= "/*##### ".$locale['dsp_con30']." ############################################################*/\n\n";
	$daten .= "?>";

    rewind($datei); 
    fwrite($datei, $daten); 
    fclose($datei);
	@chmod("includes/shoutbox_config.php", 0644);
	redirect($PHP_SELF."?status=default");
	
	}
}

if (isset($_COOKIE['ajax_shoutbox'])) {
	opentable($locale['dsp_a12']);
	echo "<div align='center'>";
	echo "<img src='".INFUSIONS."shoutbox_panel/images/a_warning.png' border='0' alt='' /><br />";
	echo "<span style='color:red;'>".$locale['dsp_a13']."</span><br />";
	echo "<input type='button' name='ok' value='".$locale['dsp_a14']."' class='button' onClick=\"resetkeks();location.href='".$PHP_SELF."?status=keks'\" /></div><br />";
	closetable();
} else {
opentable($locale['dsp_admin']);
echo "<form name='settings_form' method='post' action='".$PHP_SELF."'>\n";
echo "<table class='tbl' cellpadding='0' cellspacing='0' width='100%'>";
echo "<tr>";
echo "<td class='tbl2' style='text-align:center;' colspan='2'>";
echo "<b>".$locale['dsp_a02']."</b>";
echo "</td>";
echo "</tr>";
echo "<tr>";
echo "<td class='tbl1' width='50%' style='text-align:right;'>";
echo "".$locale['dsp_a15']."";
echo "</td>";
echo "<td class='tbl1' style='text-align:left;'>";
echo "<select name='numofshouts' class='textbox' style='width:50px;'>\n";
echo "<option".($settings['numofshouts'] == 5 ? " selected='selected'" : "").">5</option>\n";
echo "<option".($settings['numofshouts'] == 10 ? " selected='selected'" : "").">10</option>\n";
echo "<option".($settings['numofshouts'] == 15 ? " selected='selected'" : "").">15</option>\n";
echo "<option".($settings['numofshouts'] == 20 ? " selected='selected'" : "").">20</option>\n";
echo "</select>";
echo "</td>";
echo "</tr>";
echo "<tr>";
echo "<td class='tbl1' width='50%' style='text-align:right;'>";
echo "".$locale['dsp_a16']."";
echo "</td>";
echo "<td class='tbl1' style='text-align:left;'>";
echo "<select name='ajax' class='textbox' id='ajax'>";
echo "<option value='1'".($ajax == 1 ? " selected" : "").">".$locale['dsp_a17']."</option>";
echo "<option value='0'".($ajax == 0 ? " selected" : "").">".$locale['dsp_a18']."</option>
</select>";
echo "</td>";
echo "</tr>";
echo "<tr>";
echo "<td padding='0' margin='0' style='text-align:center;' colspan='2'>";

if ($ajax == 1) {
	echo "<div class='ajax'>";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>";
	echo "<tr>";
	echo "<td class='tbl2' width='50%' style='text-align:right;'>";
	echo "".$locale['dsp_a19']."";
	echo "</td>";
	echo "<td class='tbl2' style='text-align:left;'>";
	echo "<select name='refresh' class='textbox'>";
	echo "<option value='10000'".($refresh == 10000 ? " selected" : "").">10</option>";
	echo "<option value='20000'".($refresh == 20000 ? " selected" : "").">20</option>";
	echo "<option value='30000'".($refresh == 30000 ? " selected" : "").">30</option>";
	echo "<option value='40000'".($refresh == 40000 ? " selected" : "").">40</option>";
	echo "<option value='50000'".($refresh == 50000 ? " selected" : "").">50</option>";
	echo "<option value='60000'".($refresh == 60000 ? " selected" : "").">60</option>";
	echo "<option value='120000'".($refresh == 120000 ? " selected" : "").">120</option>
	</select>";
	echo "</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td class='tbl2' width='50%' style='text-align:right;'>";
	echo "".$locale['dsp_a20']."<br /><span style='font-size:xx-small;'>(".$locale['dsp_a21'].")</span>";
	echo "</td>";
	echo "<td class='tbl2' style='text-align:left;'>";
	echo "<select name='ajax_by_user' class='textbox' style='width:50px;'>";
	echo "<option value='1'".($ajax_by_user == 1 ? " selected" : "").">".$locale['dsp_a22']."</option>";
	echo "<option value='0'".($ajax_by_user == 0 ? " selected" : "").">".$locale['dsp_a23']."</option>
	</select>";
	echo "</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td class='tbl2' width='50%' style='text-align:right;'>";
	echo "".$locale['dsp_a24']."";
	echo "</td>";
	echo "<td class='tbl2' style='text-align:left;'>";
	echo "<select name='auto_hoehe' id='auto_hoehe' class='textbox' style='width:50px;'>";
	echo "<option value='1'".($auto_hoehe == 1 ? " selected" : "").">".$locale['dsp_a22']."</option>";
	echo "<option value='0'".($auto_hoehe == 0 ? " selected" : "").">".$locale['dsp_a23']."</option>
	</select>";
	echo "</td>";
	echo "</tr>";
	if ($auto_hoehe == 0) {
		echo "<tr>";
		echo "<td class='tbl2' width='50%' style='text-align:right;'>";
		echo "<div class='auto_hoehe'>";
		echo "".$locale['dsp_a25']."";
		echo "</div>";
		echo "</td>";
		echo "<td class='tbl2' style='text-align:left;'>";
		echo "<div class='auto_hoehe'>";
		echo "<input name='hoehe' type='text' size='3' maxlength='3' value='".$hoehe."' class='textbox' />px";
		echo "</div>";
		echo "</td>";
		echo "</tr>";
	} else {
		echo "<input type='hidden' name='hoehe' value='550' />";
	}
echo "</table>";
echo "</div>";
} else {
	echo "<input type='hidden' name='ajax_by_user' value='1' />";
	echo "<input type='hidden' name='refresh' value='30000' />";
	echo "<input type='hidden' name='auto_hoehe' value='1' />";
	echo "<input type='hidden' name='hoehe' value='550' />";
}
echo "</td>";
echo "</tr>";
echo "<tr>";
echo "<td class='tbl1' width='50%' style='text-align:right;'>";
echo "".$locale['dsp_a26']."";
echo "</td>";
echo "<td class='tbl1' style='text-align:left;'>";
echo "<select name='hilfe' class='textbox' style='width:50px;'>";
echo "<option value='1'".($hilfe == 1 ? " selected" : "").">".$locale['dsp_a22']."</option>";
echo "<option value='0'".($hilfe == 0 ? " selected" : "").">".$locale['dsp_a23']."</option>
</select>";
echo "</td>";
echo "</tr>";
echo "<tr>";
echo "<td class='tbl1' width='50%' style='text-align:right;'>";
echo "".$locale['dsp_a27']."";
echo "</td>";
echo "<td class='tbl1' style='text-align:left;'>";
echo "<select name='mini_ava' class='textbox' style='width:50px;'>";
echo "<option value='1'".($mini_ava == 1 ? " selected" : "").">".$locale['dsp_a22']."</option>";
echo "<option value='0'".($mini_ava == 0 ? " selected" : "").">".$locale['dsp_a23']."</option>
</select>";
echo "</td>";
echo "</tr>";
echo "<tr>";
echo "<td class='tbl1' width='50%' style='text-align:right;'>";
echo "".$locale['dsp_a28']."";
echo "</td>";
echo "<td class='tbl1' style='text-align:left;'>";
echo "<select name='online' class='textbox' style='width:50px;'>";
echo "<option value='1'".($online == 1 ? " selected" : "").">".$locale['dsp_a22']."</option>";
echo "<option value='0'".($online == 0 ? " selected" : "").">".$locale['dsp_a23']."</option>
</select>";
echo "</td>";
echo "</tr>";
echo "<tr>";
echo "<td class='tbl1' width='50%' style='text-align:right;'>";
echo "".$locale['dsp_a29']."";
echo "</td>";
echo "<td class='tbl1' style='text-align:left;'>";
echo "<select name='u_details' id='u_details' class='textbox'>";
echo "<option value='1'".($u_details == 1 ? " selected" : "").">".$locale['dsp_a17']."</option>";
echo "<option value='0'".($u_details == 0 ? " selected" : "").">".$locale['dsp_a18']."</option>
</select>";
echo "</td>";
echo "</tr>";
echo "<tr>";
echo "<td padding='0' margin='0' style='text-align:center;' colspan='2'>";
if ($u_details == 1) {
	echo "<div class='u_details'>";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>";
	echo "<tr>";
	echo "<td class='tbl2' width='50%' style='text-align:right;'>";
	echo "".$locale['dsp_a30']."";
	echo "</td>";
	echo "<td class='tbl2' style='text-align:left;'>";
	echo "<select name='u_alter' class='textbox' style='width:50px;'>";
	echo "<option value='1'".($u_alter == 1 ? " selected" : "").">".$locale['dsp_a22']."</option>";
	echo "<option value='0'".($u_alter == 0 ? " selected" : "").">".$locale['dsp_a23']."</option>
	</select>";
	echo "</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td class='tbl2' width='50%' style='text-align:right;'>";
	echo "".$locale['dsp_a31']."";
	echo "</td>";
	echo "<td class='tbl2' style='text-align:left;'>";
	echo "<select name='u_birthdate' class='textbox' style='width:50px;'>";
	echo "<option value='1'".($u_birthdate == 1 ? " selected" : "").">".$locale['dsp_a22']."</option>";
	echo "<option value='0'".($u_birthdate == 0 ? " selected" : "").">".$locale['dsp_a23']."</option>
	</select>";
	echo "</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td class='tbl2' width='50%' style='text-align:right;'>";
	echo "".$locale['dsp_a32']."";
	echo "</td>";
	echo "<td class='tbl2' style='text-align:left;'>";
	echo "<select name='u_herkunft' class='textbox' style='width:50px;'>";
	echo "<option value='1'".($u_herkunft == 1 ? " selected" : "").">".$locale['dsp_a22']."</option>";
	echo "<option value='0'".($u_herkunft == 0 ? " selected" : "").">".$locale['dsp_a23']."</option>
	</select>";
	echo "</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td class='tbl2' width='50%' style='text-align:right;'>";
	echo "".$locale['dsp_a33']."";
	echo "</td>";
	echo "<td class='tbl2' style='text-align:left;'>";
	echo "<select name='u_web' class='textbox' style='width:50px;'>";
	echo "<option value='1'".($u_web == 1 ? " selected" : "").">".$locale['dsp_a22']."</option>";
	echo "<option value='0'".($u_web == 0 ? " selected" : "").">".$locale['dsp_a23']."</option>
	</select>";
	echo "</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td class='tbl2' width='50%' style='text-align:right;'>";
	echo "".$locale['dsp_a34']."";
	echo "</td>";
	echo "<td class='tbl2' style='text-align:left;'>";
	echo "<select name='u_online' class='textbox' style='width:50px;'>";
	echo "<option value='1'".($u_online == 1 ? " selected" : "").">".$locale['dsp_a22']."</option>";
	echo "<option value='0'".($u_online == 0 ? " selected" : "").">".$locale['dsp_a23']."</option>
	</select>";
	echo "</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td class='tbl2' width='50%' style='text-align:right;'>";
	echo "".$locale['dsp_a35']."";
	echo "</td>";
	echo "<td class='tbl2' style='text-align:left;'>";
	echo "<select name='u_all_shouts' class='textbox' style='width:50px;'>";
	echo "<option value='1'".($u_all_shouts == 1 ? " selected" : "").">".$locale['dsp_a22']."</option>";
	echo "<option value='0'".($u_all_shouts == 0 ? " selected" : "").">".$locale['dsp_a23']."</option>
	</select>";
	echo "</td>";
	echo "</tr>";
	if (file_exists(BASEDIR."infusions/instant_messenger_panel/instantmessenger.php")) {
		echo "<tr>";
		echo "<td class='tbl2' width='50%' style='text-align:right;'>";
		echo "".$locale['dsp_a36']."";
		echo "</td>";
		echo "<td class='tbl2' style='text-align:left;'>";
		echo "<select name='u_messenger' class='textbox' style='width:50px;'>";
		echo "<option value='1'".($u_messenger == 1 ? " selected" : "").">".$locale['dsp_a22']."</option>";
		echo "<option value='0'".($u_messenger == 0 ? " selected" : "").">".$locale['dsp_a23']."</option>
		</select>";
		echo "</td>";
		echo "</tr>";
	} else {
		echo "<input type='hidden' name='u_messenger' value='1' />";
	}
	echo "</table>";
	echo "</div>";
} else {
	echo "<input type='hidden' name='u_alter' value='1' />";
	echo "<input type='hidden' name='u_birthdate' value='1' />";
	echo "<input type='hidden' name='u_herkunft' value='1' />";
	echo "<input type='hidden' name='u_web' value='1' />";
	echo "<input type='hidden' name='u_online' value='1' />";
	echo "<input type='hidden' name='u_all_shouts' value='1' />";
	echo "<input type='hidden' name='u_messenger' value='1' />";
}
echo "</td>";
echo "</tr>";
echo "<tr>";
echo "<td class='tbl1' width='50%' style='text-align:right;'>";
echo "".$locale['dsp_a37']."";
echo "</td>";
echo "<td class='tbl1' style='text-align:left;'>";
echo "<select name='u_colors' id='u_colors' class='textbox'>";
echo "<option value='1'".($u_colors == 1 ? " selected" : "").">".$locale['dsp_a17']."</option>";
echo "<option value='0'".($u_colors == 0 ? " selected" : "").">".$locale['dsp_a18']."</option>
</select>";
echo "</td>";
echo "</tr>";
echo "<tr>";
echo "<td padding='0' margin='0' style='text-align:center;' colspan='2'>";
if ($u_colors == 1) {
	echo "<div class='u_colors'>";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>";
	echo "<tr>";
	echo "<td class='tbl2' width='50%' style='text-align:right;'>";
	echo "".$locale['dsp_a38']." ".$locale['dsp_a39']."<br /><span style='font-size:xx-small;'>(".$locale['dsp_a42']." 103)</span>";
	echo "</td>";
	echo "<td class='tbl2' style='text-align:left;'>";
	echo "<div id='preview_sa_farbe' style='float:left;width:60px;height:14px;border:1px solid black;background-color:#".$farben['103'].";text-align:center;color:".color_inverse($farben['103']).";'>#".$farben['103']."</div>".color_mapper("sa_farbe", $farben['103'])."";
	echo "</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td class='tbl2' width='50%' style='text-align:right;'>";
	echo "".$locale['dsp_a38']." ".$locale['dsp_a40']."<br /><span style='font-size:xx-small;'>(".$locale['dsp_a42']." 102)</span>";
	echo "</td>";
	echo "<td class='tbl2' style='text-align:left;'>";
	echo "<div id='preview_admin_farbe' style='float:left;width:60px;height:14px;border:1px solid black;background-color:#".$farben['102'].";text-align:center;color:".color_inverse($farben['102']).";'>#".$farben['102']."</div>".color_mapper("admin_farbe", $farben['102'])."";
	echo "</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td class='tbl2' width='50%' style='text-align:right;'>";
	echo "".$locale['dsp_a38']." ".$locale['dsp_a41']."<br /><span style='font-size:xx-small;'>(".$locale['dsp_a42']." 101)</span>";
	echo "</td>";
	echo "<td class='tbl2' style='text-align:left;'>";
	echo "<div id='preview_member_farbe' style='float:left;width:60px;height:14px;border:1px solid black;background-color:#".$farben['101'].";text-align:center;color:".color_inverse($farben['101']).";'>#".$farben['101']."</div>".color_mapper("member_farbe", $farben['101'])."";
	echo "</td>";
	echo "</tr>";
######
	echo "<tr>";
	echo "<td class='tbl2' width='50%' style='text-align:right;'>";
	echo "".$locale['dsp_a38']." einer Gruppe<br /><span style='font-size:xx-small;'>(Gruppe ID:".$user_groups_c.")</span>";
	echo "</td>";
	echo "<td class='tbl2' style='text-align:left;'>";
	echo "<div id='preview_group_farbe' style='float:left;width:60px;height:14px;border:1px solid black;background-color:#".$farben[$user_groups_c].";text-align:center;color:".color_inverse($farben[$user_groups_c]).";'>#".$farben[$user_groups_c]."</div>".color_mapper("group_farbe", $farben[$user_groups_c])."";
	echo "</td>";
	echo "</tr>";
	//---
	echo "<tr>";
	$user_groups = getusergroups(); $access_opts2 = ""; $sel = "";
	while(list($key, $user_group) = each($user_groups)){
	$sel = ($user_groups_c == $user_group['0'] ? " selected='selected'" : "");
	if ($user_group != "0"){
	$access_opts2 .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
	}
	}
	echo "<td class='tbl2' style='text-align:right;'>".$locale['dsp_up2_1']."</td>";
	echo "<td class='tbl2' style='text-align:left;'>";
	echo "<select name='user_groups_c' class='textbox' style='width:150px;'>".$access_opts2."</select>";
	echo "</td>";
	echo "</tr>";
  //---
####
	echo "</table>";
	echo "</div>";
} else {
######
	echo "<input type='hidden' name='sa_farbe' value='CC0000' />";
	echo "<input type='hidden' name='admin_farbe' value='000099' />";
	echo "<input type='hidden' name='member_farbe' value='006633' />";
	echo "<input type='hidden' name='group_farbe' value='272727' />";
######
}
echo "</td>";
echo "</tr>";
echo "<tr>";
echo "<td class='tbl1' width='50%' style='text-align:right;'>";
echo "".$locale['dsp_a43']."";
echo "</td>";
echo "<td class='tbl1' style='text-align:left;'>";
echo "<select name='zeit' class='textbox'>";
echo "<option value='absolut'".($zeit == 'absolut' ? " selected" : "").">".$locale['dsp_a44']."</option>";
echo "<option value='relativ'".($zeit == 'relativ' ? " selected" : "").">".$locale['dsp_a45']."</option>
</select>";
echo "&nbsp;<span style='font-size:xx-small;'>";
if ($zeit == 'absolut'){
echo showdate("%d.%m.%Y %H:%M:%S",time()-13600);
} else {
echo $locale['dsp027'].vergangeneZeit(time()-13600);
}
echo "</span>";
echo "</td>";
echo "</tr>";
echo "<tr>";
echo "<td class='tbl1' width='50%' style='text-align:right;'>";
echo "".$locale['dsp_a46']."";
echo "</td>";
echo "<td class='tbl1' style='text-align:left;'>";
echo "<select name='me_befehl' class='textbox' style='width:50px;'>";
echo "<option value='1'".($me_befehl == 1 ? " selected" : "").">".$locale['dsp_a22']."</option>";
echo "<option value='0'".($me_befehl == 0 ? " selected" : "").">".$locale['dsp_a23']."</option>
</select>";
echo "</td>";
echo "</tr>";
echo "<tr>";
echo "<td class='tbl1' width='50%' style='text-align:right;'>";
echo "".$locale['dsp_a47']." <span style='font-size:xx-small;'>(".$locale['dsp_a48'].")</span>";
echo "</td>";
echo "<td class='tbl1' style='text-align:left;'>";
echo "<select name='news_befehl' class='textbox' style='width:50px;'>";
echo "<option value='1'".($news_befehl == 1 ? " selected" : "").">".$locale['dsp_a22']."</option>";
echo "<option value='0'".($news_befehl == 0 ? " selected" : "").">".$locale['dsp_a23']."</option>
</select>";
echo "</td>";
echo "</tr>";
echo "<tr>";
echo "<td class='tbl2' style='text-align:center;' colspan='2'>";
echo "&nbsp;";
echo "</td>";
echo "</tr>";
echo "<tr>";
echo "<td class='tbl2' style='text-align:center;' colspan='2'>";
echo "<input type='submit' name='speichern' value='".$locale['dsp_a49']."' class='button' />&nbsp;&nbsp;&nbsp;<input type='submit' name='default' value='".$locale['dsp_a50']."' class='button' />";
echo "</td>";
echo "</tr>";
echo "</table>";
echo "</form>";
closetable();
}

opentable($locale['dsp_up_1']);
echo "<div align='center'>".$locale['dsp_a52']."&nbsp;";
if (!is_writable(INFUSIONS."shoutbox_panel/includes/shoutbox_config.php")){
	echo "<img src='".INFUSIONS."shoutbox_panel/images/a_ok_small.png' border='0' alt='' title='".$locale['dsp_a22']."' style='vertical-align:middle;' />";
} else {
	echo "<img src='".INFUSIONS."shoutbox_panel/images/a_notok_small.png' border='0' alt='' title='".$locale['dsp_a23']."' style='vertical-align:middle;' />";
}
	echo "&nbsp;<img src='".INFUSIONS."shoutbox_panel/images/a_refresh_small.png' border='0' alt='' title='".$locale['dsp_a53']."' style='vertical-align:middle; cursor:pointer; cursor:hand;' onClick=\"location.href='".$PHP_SELF."'\" /><br />";
	
	// jump to update ### fr schnelleres finden xD

///////////////////////////////
// UPDATE TO v7.02xx VERSION //
///////////////////////////////
// ------------------------ >>>
$filt = array(".");

$output = str_replace($filt, "", $settings['version']);
if ($output >= 70200) {
$result = dbquery("SELECT * FROM ".DB_SHOUTBOX."");
 if ($result) {
  echo "&nbsp;<br /><font color='red'>[</font>";
 echo "<font color='lightgreen'>".$locale['dsp_up_2']."<img src='".INFUSIONS."shoutbox_panel/images/a_ok_small.png' border='0' alt='' title='".$locale['dsp_a22']."' style='vertical-align:middle;' />&nbsp;&nbsp;";
 	echo "<font color='red'>]</font>&nbsp;".$locale['dsp_up_3.3']."</center>";
 }
 $result = dbquery("SELECT * FROM ".DB_SHOUTBOX."");
 if (!$result) { 
  echo "&nbsp;<br /><br /><font color='green'>[</font>";
 echo "<font style='background-color:lightgrey;' color='red'>".$locale['dsp_up_3']."<img src='".INFUSIONS."shoutbox_panel/images/a_notok_small.png' border='0' alt='' title='".$locale['dsp_a23']."' style='vertical-align:middle;' />&nbsp;&nbsp;";
  echo "&nbsp;</font><font color='green'>]</font>";
 echo "<br />".$locale['dsp_up_3.2']."";
  }
	echo "<br /><br /><center style='background-color:lightgrey;border:dottet;'>";
}

/// ----------------------- <<<	
///////////////////////////////
// UPDATE TO v7.02xx VERSION //
///////////////////////////////
echo "</div>";

/////////////////////////////////////////
// Hab das mal angepasst MfG MaZzIMo24 //
// Diese Zeile nicht lschen!!! /////////
echo sh_newCopyright(); /////////////////
/////////////////////////////////////////
closetable();


require_once THEMES."templates/footer.php";
?>
