<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: shoutbox_user_archive.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| Modified to: MG Shoutbox DeLuxe v3.0.0
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

include_once INCLUDES."bbcode_include.php";
require_once INFUSIONS."shoutbox_panel/includes/shoutbox_config.php";
require_once INFUSIONS."shoutbox_panel/includes/func.php";
include INFUSIONS."shoutbox_panel/infusion_db.php";

$shout_user = isset($_GET['shout_user']) && (int)$_GET['shout_user']>0 ? (int)$_GET['shout_user'] : null;
if ((!isset($shout_user)) || !iMEMBER) redirect($settings['siteurl'].$settings['opening_page']);

if (iMEMBER && (isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['shout_id']) && isnum($_GET['shout_id']))) {
	if ((iADMIN && checkrights("S")) || (iMEMBER && dbcount("(shout_id)", DB_SHOUTBOX, "shout_id='".$_GET['shout_id']."' AND shout_name='".$userdata['user_id']."'"))) {
		$result = dbquery("DELETE FROM ".DB_SHOUTBOX." WHERE shout_id='".$_GET['shout_id']."'".(iADMIN ? "" : " AND shout_name='".$userdata['user_id']."'"));
	}
	redirect(FUSION_SELF."?shout_user=".$shout_user);
}

add_to_title(" ".$locale['dsp_title']." ".$locale['dsp023']);

opentable($locale['dsp_title']." ".$locale['dsp023']);
if (iMEMBER || $settings['guestposts'] == "1") {
	if (isset($_POST['post_ashout'])) {
		$flood = false;
		if (iMEMBER) {
			$shout_name = $userdata['user_id'];
		} elseif ($settings['guestposts'] == "1") {
			$shout_name = trim(stripinput($_POST['shout_name']));
			// $shout_name = preg_replace("(^[0-9]*)", "", $shout_name);
			$shout_name = preg_replace("(^[0-9\s]*)", "", $shout_name);
			if (isnum($shout_name)) { $shout_name = ""; }
		}
		$shout_message = str_replace("\n", " ", $_POST['shout_message']);
		$shout_message = preg_replace("/^(.{400}).*$/", "$1", $shout_message);
		$shout_message = trim(stripinput(censorwords($shout_message)));
		if (iMEMBER && (isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['shout_id']) && isnum($_GET['shout_id']))) {
			$comment_updated = false;
			if ((iADMIN && checkrights("S")) || (iMEMBER && dbcount("(shout_id)", DB_SHOUTBOX, "shout_id='".$_GET['shout_id']."' AND shout_name='".$userdata['user_id']."'"))) {
				if ($shout_message) {
					$result = dbquery("UPDATE ".DB_SHOUTBOX." SET shout_message='$shout_message' WHERE shout_id='".$_GET['shout_id']."'".(iADMIN ? "" : " AND shout_name='".$userdata['user_id']."'"));
				}
			}
			redirect(FUSION_SELF."?shout_user=".$shout_user);
		} elseif ($shout_name && $shout_message) {
			require_once INCLUDES."flood_include.php";
			if (!flood_control("shout_datestamp", DB_SHOUTBOX, "shout_ip='".USER_IP."'")) {
				$result = dbquery("INSERT INTO ".DB_SHOUTBOX." (shout_name, shout_message, shout_datestamp, shout_ip) VALUES ('$shout_name', '$shout_message', '".time()."', '".USER_IP."')");
				if (defined("SCORESYSTEM")) {
					score_positive("SHBOX");
				}
			}
			redirect(FUSION_SELF."?shout_user=".$shout_user);
		}
	}
	if (iMEMBER && (isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['shout_id']) && isnum($_GET['shout_id']))) {
		$esresult = dbquery(
			"SELECT ts.*, tu.user_id, tu.user_name FROM ".DB_SHOUTBOX." ts
			LEFT JOIN ".DB_USERS." tu ON ts.shout_name=tu.user_id
			WHERE ts.shout_id='".$_GET['shout_id']."'"
		);
		if (dbrows($esresult)) {
			$esdata = dbarray($esresult);
			if ((iADMIN && checkrights("S")) || (iMEMBER && $esdata['shout_name'] == $userdata['user_id'] && isset($esdata['user_name']))) {
				if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['shout_id']) && isnum($_GET['shout_id']))) {
					$edit_url = "?action=edit&amp;shout_id=".$esdata['shout_id']."&amp;shout_user=".$shout_user;
				} else {
					$edit_url = "";
				}
				$shout_link = FUSION_SELF.$edit_url;
				$shout_message = $esdata['shout_message'];
			}
		} else {
			$shout_link = FUSION_SELF."?shout_user=".$shout_user;
			$shout_message = "";
		}
	} else {
		$shout_link = FUSION_SELF."?shout_user=".$shout_user;
		$shout_message = "";
	}


	?>
	<script type="text/javascript">
function antworteUsersua(Name) {
document.chatform3.shout_message.value = "[b]@"+Name+":[/b] "; 
document.chatform3.shout_message.focus();
}
</script>
	<?php


	echo "<a id='edit_shout' name='edit_shout'></a>\n";
	echo "<form name='chatform3' method='post' action='".$shout_link."'>\n";
	echo "<div style='text-align:center'>\n";
	if (iGUEST) {
		echo $locale['global_151']."<br />\n";
		echo "<input type='text' name='shout_name' value='' class='textbox' maxlength='30' style='width:140px;' /><br />\n";
		echo $locale['global_152']."<br />\n";
	}
	echo "<div align='center' valign='middle'>".$locale['dsp007']."<span id='count_display' style='padding : 1px 3px 1px 3px; border:1px solid;'><strong>400</strong></span><br /><br /><textarea class='textbox' name='shout_message' rows='4' cols='20' style=\"width:165px; background: transparent url(".INFUSIONS."shoutbox_panel/images/sb_background.png) no-repeat scroll 0% 0%; width: 140px; -moz-background-clip: -moz-initial; -moz-background-origin: -moz-initial; -moz-background-inline-policy: -moz-initial;\" onKeyDown=\"textCounter(this,'count_display',400);\" onKeyUp=\"textCounter(this,'count_display',400);\">".$shout_message.(empty($shout_message)?"":"")."</textarea>\n</div>\n";
	echo "<div style='text-align:center'>".display_bbcodes("100%", "shout_message", "chatform3", "smiley|b|i|u|color")."</div>\n";
	
if (iGUEST) {
	echo $locale['global_158']."<br />\n";
	echo "<img id='sb_captcha' src='".INCLUDES."securimage/securimage_show.php' alt='' /><br />\n";
	echo "<a href='".INCLUDES."securimage/securimage_play.php'><img src='".INCLUDES."securimage/images/audio_icon.gif' alt='' class='tbl-border' style='margin-bottom:1px' /></a>\n";
	echo "<a href='#' onclick=\"document.getElementById('sb_captcha').src = '".INCLUDES."securimage/securimage_show.php?sid=' + Math.random(); return false\"><img src='".INCLUDES."securimage/images/refresh.gif' alt='' class='tbl-border' /></a><br />\n";
	echo $locale['global_159']."<br />\n<input type='text' name='sb_captcha_code' class='textbox' style='width:100px' /><br />\n";
}
	echo "<input type='submit' name='post_ashout' value='".$locale['dsp_up_4']."' class='button' />&nbsp;
		<input alt='".$locale['dsp008']."' title='".$locale['dsp008']."' type='reset' name='reset' value='".$locale['dsp008']."' class='button' />";
if ($hilfe == 1) {
	echo "&nbsp;<a onclick=\"return overlay(this, 'hilfe_shoutboxuserarchiv', 'rightbottom')\" style='cursor:pointer;cursor:hand;vertical-align:middle;'><img src='".INFUSIONS."shoutbox_panel/images/helpS.png' width='16px' height='16px' border='0' alt='' /></a>\n";
	//////// Overlay
	echo zeigeHilfe("shoutboxuserarchiv", "chatform3");
	/////////////
}
	echo "</div>\n</form>\n<br />\n";
} else {
	echo "<div style='text-align:center'>".$locale['global_154']."</div>\n";
}
// Diese Zeile nicht lschen!!!
echo zeigeCopyright("center");
///////////////////////////////

$rows = dbcount("(shout_id)", DB_SHOUTBOX, "shout_name='".$shout_user."'");
if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
if ($rows != 0) {
	$result = dbquery(
		"SELECT * FROM ".DB_SHOUTBOX." LEFT JOIN ".DB_USERS."
		ON ".DB_SHOUTBOX.".shout_name=".DB_USERS.".user_id  WHERE shout_name='".$shout_user."'
		ORDER BY shout_datestamp DESC LIMIT ".$_GET['rowstart'].",20"
	);
	while ($data = dbarray($result)) {
		echo "<div class='tbl2'>\n";
		if ((iADMIN && checkrights("S")) || (iMEMBER && $data['shout_name'] == $userdata['user_id'] && isset($data['user_name']))) {
			echo "<div style='float:right'>\n";
      echo "<a href='".FUSION_SELF."?action=edit&amp;shout_id=".$data['shout_id']."&amp;shout_user=".$shout_user."' class='shoutboxedit'>".$locale['global_076']."</a> | \n";
			echo "<a href='".FUSION_SELF."?action=delete&amp;shout_id=".$data['shout_id']."&amp;shout_user=".$shout_user."' class='shoutboxdel'>".$locale['global_157']."</a>\n</div>\n";
		}

if ($data['user_name']) {
	if ($u_details == 1) {
		//////// Overlay
		echo overlayInfo("sua", $data['user_id'], $userdata['user_id']);
		/////////////
	}
	
	if ($mini_ava == 1) {
		if ($u_details == 1) {
			echo "<a onclick=\"return overlay(this, 'sua_".$data['user_id']."', 'leftbottom')\" style='cursor:pointer;cursor:hand;'>".zeigeAvatar($data['user_id'], 'small')."</a>&nbsp;";
		} else {
			echo zeigeAvatar($data['user_id'], 'small')."&nbsp;";
		}
	}
	if ($u_details == 1) {
		echo "<a onclick=\"return overlay(this, 'sua_".$data['user_id']."', 'leftbottom')\" style='cursor:pointer;cursor:hand;' class='comment-name'>".($u_colors == 1 ? usercolor($data['user_id']) : $data['user_name'])."</a>";
	} else {
		echo "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' class='comment-name'>".($u_colors == 1 ? usercolor($data['user_id']) : $data['user_name'])."</a>";
	}
	if ($online == 1) {
		echo "&nbsp;".onlinestatus($data['user_id'],'small')."\n";
	}
} else {
	if ($mini_ava == 1) {
		echo "<img src='".INFUSIONS."shoutbox_panel/images/guest.gif' width='16px' height='16px' border='0' alt='' />&nbsp;";
	}
	echo "<span class='comment-name'>".$data['shout_name']."</span>\n";
}
if ($zeit == 'absolut'){
	echo "&nbsp;<span class='small' title='".$locale['dsp027'].vergangeneZeit($data['shout_datestamp'])."'>".showdate("%d.%m.%Y %H:%M:%S",$data['shout_datestamp'])."</span></div>\n";
} else {
	echo "&nbsp;<span class='small' title='".showdate("%d.%m.%Y %H:%M:%S",$data['shout_datestamp'])."'>".$locale['dsp027'].vergangeneZeit($data['shout_datestamp'])."</span></div>\n";
}

	// *** Auswertung des Befehls /me und /news ***
	if (substr($data['shout_message'], 0, 3) == "/me" && $me_befehl == 1) {
		echo "<div class='tbl1'><font color='blue'><i>*".$data['user_name']." ".cleanup_message(sbwrap(replace_uri(parseubb(parsesmileys($data['shout_message']), "b|i|u|color"))))."</i></font></div>\n";	
	} elseif ((substr($data['shout_message'], 0, 5) == "/news" && $news_befehl == 1) && (($data['user_level'] == "103") || ($data['user_level'] == "102"))) {
		echo "<div class='tbl1'><font color='#FF0000'><b>#Info#</b></font><br /><center><b>".cleanup_message(sbwrap(replace_uri(parseubb(parsesmileys($data['shout_message']), "b|i|u|color"))))."</b></center></div>\n";		 
	} else {
		echo "<div class='tbl1'>\n".cleanup_message(sbawrap(replace_uri(parseubb(parsesmileys($data['shout_message']), "b|i|u|color"))))."</div>\n";
		}
	////////////////////////////////////////////////
	}
	echo "<br /><div class='tbl2' style='text-align:center'>\n<a href='".INFUSIONS."shoutbox_panel/shoutbox_archive.php'>".$locale['global_155']."</a>\n</div>\n";
} else {
	echo "<div style='text-align:center'><br />\n".$locale['global_156']."<br /><br />\n</div>\n";
}
closetable();

echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'], 20, $rows, 3, FUSION_SELF."?shout_user=".$shout_user."&amp;")."\n</div>\n";

require_once THEMES."templates/footer.php";
?>
